package android.support.v4.graphics;

import android.graphics.Paint;
import android.graphics.Rect;
import android.support.annotation.NonNull;
import android.support.annotation.RequiresApi;
import android.support.v4.util.Pair;
@RequiresApi(9)
/* loaded from: classes.dex */
class PaintCompatGingerbread {
    private static final String TOFU_STRING = "\udfffd";
    private static final ThreadLocal<Pair<Rect, Rect>> sRectThreadLocal = new ThreadLocal<>();

    PaintCompatGingerbread() {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static boolean hasGlyph(@NonNull Paint paint, @NonNull String str) {
        int length = str.length();
        if (length == 1 && Character.isWhitespace(str.charAt(0))) {
            return true;
        }
        float measureText = paint.measureText(TOFU_STRING);
        float measureText2 = paint.measureText(str);
        if (measureText2 != 0.0f) {
            if (str.codePointCount(0, str.length()) > 1) {
                if (measureText2 > 2.0f * measureText) {
                    return false;
                }
                float f = 0.0f;
                int i = 0;
                while (i < length) {
                    int charCount = Character.charCount(str.codePointAt(i));
                    f += paint.measureText(str, i, i + charCount);
                    i += charCount;
                }
                if (measureText2 >= f) {
                    return false;
                }
            }
            if (measureText2 != measureText) {
                return true;
            }
            Pair<Rect, Rect> obtainEmptyRects = obtainEmptyRects();
            paint.getTextBounds(TOFU_STRING, 0, TOFU_STRING.length(), obtainEmptyRects.first);
            paint.getTextBounds(str, 0, length, obtainEmptyRects.second);
            return !obtainEmptyRects.first.equals(obtainEmptyRects.second);
        }
        return false;
    }

    private static Pair<Rect, Rect> obtainEmptyRects() {
        Pair<Rect, Rect> pair = sRectThreadLocal.get();
        if (pair == null) {
            Pair<Rect, Rect> pair2 = new Pair<>(new Rect(), new Rect());
            sRectThreadLocal.set(pair2);
            return pair2;
        }
        pair.first.setEmpty();
        pair.second.setEmpty();
        return pair;
    }
}
