package com.airbnb.lottie;

import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.ColorFilter;
import android.graphics.drawable.Drawable;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.annotation.FloatRange;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.annotation.RawRes;
import android.support.annotation.VisibleForTesting;
import android.support.v7.widget.AppCompatImageView;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.SparseArray;
import android.view.View;
import java.lang.ref.WeakReference;
import java.util.HashMap;
import java.util.Map;
import org.json.JSONObject;
/* loaded from: classes.dex */
public class LottieAnimationView extends AppCompatImageView {

    /* renamed from: a  reason: collision with root package name */
    private static final String f23a = LottieAnimationView.class.getSimpleName();
    private static final SparseArray<j> b = new SparseArray<>();
    private static final SparseArray<WeakReference<j>> c = new SparseArray<>();
    private static final Map<String, j> d = new HashMap();
    private static final Map<String, WeakReference<j>> e = new HashMap();
    private final x f;
    private final m g;
    private h h;
    private String i;
    @RawRes
    private int j;
    private boolean k;
    private boolean l;
    private boolean m;
    @Nullable
    private a n;
    @Nullable
    private j o;

    public LottieAnimationView(Context context) {
        super(context);
        this.f = new e(this);
        this.g = new m();
        this.k = false;
        this.l = false;
        this.m = false;
        a((AttributeSet) null);
    }

    public LottieAnimationView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f = new e(this);
        this.g = new m();
        this.k = false;
        this.l = false;
        this.m = false;
        a(attributeSet);
    }

    public LottieAnimationView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f = new e(this);
        this.g = new m();
        this.k = false;
        this.l = false;
        this.m = false;
        a(attributeSet);
    }

    private void a(@Nullable AttributeSet attributeSet) {
        String string;
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, ac.LottieAnimationView);
        this.h = h.values()[obtainStyledAttributes.getInt(ac.LottieAnimationView_lottie_cacheStrategy, h.Weak.ordinal())];
        if (!isInEditMode()) {
            boolean hasValue = obtainStyledAttributes.hasValue(ac.LottieAnimationView_lottie_rawRes);
            boolean hasValue2 = obtainStyledAttributes.hasValue(ac.LottieAnimationView_lottie_fileName);
            if (hasValue && hasValue2) {
                throw new IllegalArgumentException("lottie_rawRes and lottie_fileName cannot be used at the same time. Please use use only one at once.");
            }
            if (hasValue) {
                int resourceId = obtainStyledAttributes.getResourceId(ac.LottieAnimationView_lottie_rawRes, 0);
                if (resourceId != 0) {
                    setAnimation(resourceId);
                }
            } else if (hasValue2 && (string = obtainStyledAttributes.getString(ac.LottieAnimationView_lottie_fileName)) != null) {
                setAnimation(string);
            }
        }
        if (obtainStyledAttributes.getBoolean(ac.LottieAnimationView_lottie_autoPlay, false)) {
            this.g.f();
            this.l = true;
        }
        this.g.c(obtainStyledAttributes.getBoolean(ac.LottieAnimationView_lottie_loop, false));
        setImageAssetsFolder(obtainStyledAttributes.getString(ac.LottieAnimationView_lottie_imageAssetsFolder));
        setProgress(obtainStyledAttributes.getFloat(ac.LottieAnimationView_lottie_progress, 0.0f));
        a(obtainStyledAttributes.getBoolean(ac.LottieAnimationView_lottie_enableMergePathsForKitKatAndAbove, false));
        if (obtainStyledAttributes.hasValue(ac.LottieAnimationView_lottie_colorFilter)) {
            a(new ad(obtainStyledAttributes.getColor(ac.LottieAnimationView_lottie_colorFilter, 0)));
        }
        if (obtainStyledAttributes.hasValue(ac.LottieAnimationView_lottie_scale)) {
            this.g.e(obtainStyledAttributes.getFloat(ac.LottieAnimationView_lottie_scale, 1.0f));
        }
        obtainStyledAttributes.recycle();
        if (com.airbnb.lottie.d.g.a(getContext()) == 0.0f) {
            this.g.k();
        }
        j();
    }

    @Override // android.support.v7.widget.AppCompatImageView, android.widget.ImageView
    public void setImageResource(int i) {
        a();
        i();
        super.setImageResource(i);
    }

    @Override // android.widget.ImageView
    public void setImageDrawable(Drawable drawable) {
        if (drawable != this.g) {
            a();
        }
        i();
        super.setImageDrawable(drawable);
    }

    @Override // android.widget.ImageView
    public void setImageBitmap(Bitmap bitmap) {
        a();
        i();
        super.setImageBitmap(bitmap);
    }

    public void a(@Nullable ColorFilter colorFilter) {
        this.g.a(colorFilter);
    }

    @Override // android.widget.ImageView, android.view.View, android.graphics.drawable.Drawable.Callback
    public void invalidateDrawable(@NonNull Drawable drawable) {
        if (getDrawable() == this.g) {
            super.invalidateDrawable(this.g);
        } else {
            super.invalidateDrawable(drawable);
        }
    }

    @Override // android.view.View
    protected Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.f24a = this.i;
        savedState.b = this.j;
        savedState.c = this.g.q();
        savedState.d = this.g.j();
        savedState.e = this.g.i();
        savedState.f = this.g.b();
        return savedState;
    }

    @Override // android.view.View
    protected void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        this.i = savedState.f24a;
        if (!TextUtils.isEmpty(this.i)) {
            setAnimation(this.i);
        }
        this.j = savedState.b;
        if (this.j != 0) {
            setAnimation(this.j);
        }
        setProgress(savedState.c);
        b(savedState.e);
        if (savedState.d) {
            b();
        }
        this.g.a(savedState.f);
    }

    @Override // android.widget.ImageView, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.l && this.k) {
            b();
        }
    }

    @Override // android.widget.ImageView, android.view.View
    protected void onDetachedFromWindow() {
        if (c()) {
            d();
            this.k = true;
        }
        a();
        super.onDetachedFromWindow();
    }

    @VisibleForTesting
    void a() {
        if (this.g != null) {
            this.g.c();
        }
    }

    public void a(boolean z) {
        this.g.a(z);
    }

    public void setAnimation(@RawRes int i) {
        a(i, this.h);
    }

    public void a(@RawRes int i, h hVar) {
        this.j = i;
        this.i = null;
        if (c.indexOfKey(i) > 0) {
            j jVar = c.get(i).get();
            if (jVar != null) {
                setComposition(jVar);
                return;
            }
        } else if (b.indexOfKey(i) > 0) {
            setComposition(b.get(i));
            return;
        }
        this.g.p();
        i();
        this.n = l.a(getContext(), i, new f(this, hVar, i));
    }

    public void setAnimation(String str) {
        a(str, this.h);
    }

    public void a(String str, h hVar) {
        this.i = str;
        this.j = 0;
        if (e.containsKey(str)) {
            j jVar = e.get(str).get();
            if (jVar != null) {
                setComposition(jVar);
                return;
            }
        } else if (d.containsKey(str)) {
            setComposition(d.get(str));
            return;
        }
        this.g.p();
        i();
        this.n = l.a(getContext(), str, new g(this, hVar, str));
    }

    public void setAnimation(JSONObject jSONObject) {
        i();
        this.n = l.a(getResources(), jSONObject, this.f);
    }

    private void i() {
        if (this.n != null) {
            this.n.a();
            this.n = null;
        }
    }

    public void setComposition(@NonNull j jVar) {
        this.g.setCallback(this);
        boolean a2 = this.g.a(jVar);
        j();
        if (a2) {
            setImageDrawable(null);
            setImageDrawable(this.g);
            this.o = jVar;
            requestLayout();
        }
    }

    public void b() {
        this.g.f();
        j();
    }

    public void setMinFrame(int i) {
        this.g.a(i);
    }

    public void setMinProgress(float f) {
        this.g.a(f);
    }

    public void setMaxFrame(int i) {
        this.g.b(i);
    }

    public void setMaxProgress(@FloatRange(from = 0.0d, to = 1.0d) float f) {
        this.g.b(f);
    }

    public void setSpeed(float f) {
        this.g.c(f);
    }

    public float getSpeed() {
        return this.g.g();
    }

    public void a(ValueAnimator.AnimatorUpdateListener animatorUpdateListener) {
        this.g.a(animatorUpdateListener);
    }

    public void b(ValueAnimator.AnimatorUpdateListener animatorUpdateListener) {
        this.g.b(animatorUpdateListener);
    }

    public void b(boolean z) {
        this.g.c(z);
    }

    public boolean c() {
        return this.g.j();
    }

    public void setImageAssetsFolder(String str) {
        this.g.a(str);
    }

    @Nullable
    public String getImageAssetsFolder() {
        return this.g.b();
    }

    public void setImageAssetDelegate(c cVar) {
        this.g.a(cVar);
    }

    public void setFontAssetDelegate(b bVar) {
        this.g.a(bVar);
    }

    public void setTextDelegate(ae aeVar) {
        this.g.a(aeVar);
    }

    public void setScale(float f) {
        this.g.e(f);
        if (getDrawable() == this.g) {
            setImageDrawable(null);
            setImageDrawable(this.g);
        }
    }

    public float getScale() {
        return this.g.n();
    }

    public void d() {
        this.g.p();
        j();
    }

    public void setFrame(int i) {
        this.g.c(i);
    }

    public int getFrame() {
        return this.g.h();
    }

    public void setProgress(@FloatRange(from = 0.0d, to = 1.0d) float f) {
        this.g.d(f);
    }

    @FloatRange(from = 0.0d, to = 1.0d)
    public float getProgress() {
        return this.g.q();
    }

    public long getDuration() {
        if (this.o != null) {
            return this.o.c();
        }
        return 0L;
    }

    public void setPerformanceTrackingEnabled(boolean z) {
        this.g.b(z);
    }

    @Nullable
    public y getPerformanceTracker() {
        return this.g.d();
    }

    private void j() {
        setLayerType(this.m && this.g.j() ? 2 : 1, null);
    }

    /* loaded from: classes.dex */
    class SavedState extends View.BaseSavedState {
        public static final Parcelable.Creator<SavedState> CREATOR = new i();

        /* renamed from: a  reason: collision with root package name */
        String f24a;
        int b;
        float c;
        boolean d;
        boolean e;
        String f;

        /* JADX INFO: Access modifiers changed from: package-private */
        public /* synthetic */ SavedState(Parcel parcel, e eVar) {
            this(parcel);
        }

        SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        private SavedState(Parcel parcel) {
            super(parcel);
            this.f24a = parcel.readString();
            this.c = parcel.readFloat();
            this.d = parcel.readInt() == 1;
            this.e = parcel.readInt() == 1;
            this.f = parcel.readString();
        }

        @Override // android.view.View.BaseSavedState, android.view.AbsSavedState, android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeString(this.f24a);
            parcel.writeFloat(this.c);
            parcel.writeInt(this.d ? 1 : 0);
            parcel.writeInt(this.e ? 1 : 0);
            parcel.writeString(this.f);
        }
    }
}
