package com.airbnb.lottie.b;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.drawable.Drawable;
import android.support.annotation.Nullable;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import com.airbnb.lottie.c;
import com.airbnb.lottie.u;
import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
/* loaded from: classes.dex */
public class b {

    /* renamed from: a  reason: collision with root package name */
    private final Context f46a;
    private String b;
    @Nullable
    private c c;
    private final Map<String, u> d;
    private final Map<String, Bitmap> e = new HashMap();

    public b(Drawable.Callback callback, String str, c cVar, Map<String, u> map) {
        this.b = str;
        if (!TextUtils.isEmpty(str) && this.b.charAt(this.b.length() - 1) != '/') {
            this.b += '/';
        }
        if (!(callback instanceof View)) {
            Log.w("LOTTIE", "LottieDrawable must be inside of a view for images to work.");
            this.d = new HashMap();
            this.f46a = null;
            return;
        }
        this.f46a = ((View) callback).getContext();
        this.d = map;
        a(cVar);
    }

    public void a(@Nullable c cVar) {
        this.c = cVar;
    }

    @Nullable
    public Bitmap a(String str) {
        Bitmap bitmap = this.e.get(str);
        if (bitmap == null) {
            u uVar = this.d.get(str);
            if (uVar == null) {
                return null;
            }
            if (this.c != null) {
                Bitmap a2 = this.c.a(uVar);
                if (a2 != null) {
                    this.e.put(str, a2);
                    return a2;
                }
                return a2;
            }
            try {
                if (TextUtils.isEmpty(this.b)) {
                    throw new IllegalStateException("You must set an images folder before loading an image. Set it with LottieComposition#setImagesFolder or LottieDrawable#setImagesFolder");
                }
                InputStream open = this.f46a.getAssets().open(this.b + uVar.b());
                BitmapFactory.Options options = new BitmapFactory.Options();
                options.inScaled = true;
                options.inDensity = 160;
                Bitmap decodeStream = BitmapFactory.decodeStream(open, null, options);
                this.e.put(str, decodeStream);
                return decodeStream;
            } catch (IOException e) {
                Log.w("LOTTIE", "Unable to open asset.", e);
                return null;
            }
        }
        return bitmap;
    }

    public void a() {
        Iterator<Map.Entry<String, Bitmap>> it = this.e.entrySet().iterator();
        while (it.hasNext()) {
            it.next().getValue().recycle();
            it.remove();
        }
    }

    public boolean a(Context context) {
        return (context == null && this.f46a == null) || (context != null && this.f46a.equals(context));
    }
}
