package com.airbnb.lottie.d;

import android.content.Context;
import android.graphics.Matrix;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.graphics.PointF;
import android.os.Build;
import android.provider.Settings;
import android.support.annotation.Nullable;
import com.airbnb.lottie.a.a.u;
import com.airbnb.lottie.j;
import java.io.Closeable;
/* loaded from: classes.dex */
public final class g {

    /* renamed from: a  reason: collision with root package name */
    private static final PathMeasure f107a = new PathMeasure();
    private static final Path b = new Path();
    private static final Path c = new Path();
    private static final float[] d = new float[4];
    private static final float e = (float) Math.sqrt(2.0d);

    public static Path a(PointF pointF, PointF pointF2, PointF pointF3, PointF pointF4) {
        Path path = new Path();
        path.moveTo(pointF.x, pointF.y);
        if (pointF3 != null && pointF4 != null && (pointF3.length() != 0.0f || pointF4.length() != 0.0f)) {
            path.cubicTo(pointF.x + pointF3.x, pointF.y + pointF3.y, pointF2.x + pointF4.x, pointF2.y + pointF4.y, pointF2.x, pointF2.y);
        } else {
            path.lineTo(pointF2.x, pointF2.y);
        }
        return path;
    }

    public static void a(Closeable closeable) {
        if (closeable != null) {
            try {
                closeable.close();
            } catch (RuntimeException e2) {
                throw e2;
            } catch (Exception e3) {
            }
        }
    }

    public static float a(Matrix matrix) {
        d[0] = 0.0f;
        d[1] = 0.0f;
        d[2] = e;
        d[3] = e;
        matrix.mapPoints(d);
        return ((float) Math.hypot(d[2] - d[0], d[3] - d[1])) / 2.0f;
    }

    public static void a(Path path, @Nullable u uVar) {
        if (uVar != null) {
            a(path, uVar.d().b().floatValue() / 100.0f, uVar.e().b().floatValue() / 100.0f, uVar.f().b().floatValue() / 360.0f);
        }
    }

    public static void a(Path path, float f, float f2, float f3) {
        com.airbnb.lottie.d.a("applyTrimPathIfNeeded");
        f107a.setPath(path, false);
        float length = f107a.getLength();
        if (f == 1.0f && f2 == 0.0f) {
            com.airbnb.lottie.d.b("applyTrimPathIfNeeded");
        } else if (length < 1.0f || Math.abs((f2 - f) - 1.0f) < 0.01d) {
            com.airbnb.lottie.d.b("applyTrimPathIfNeeded");
        } else {
            float f4 = length * f;
            float f5 = length * f2;
            float min = Math.min(f4, f5);
            float max = Math.max(f4, f5);
            float f6 = f3 * length;
            float f7 = min + f6;
            float f8 = max + f6;
            if (f7 >= length && f8 >= length) {
                f7 = f.a(f7, length);
                f8 = f.a(f8, length);
            }
            if (f7 < 0.0f) {
                f7 = f.a(f7, length);
            }
            if (f8 < 0.0f) {
                f8 = f.a(f8, length);
            }
            if (f7 == f8) {
                path.reset();
                com.airbnb.lottie.d.b("applyTrimPathIfNeeded");
                return;
            }
            if (f7 >= f8) {
                f7 -= length;
            }
            b.reset();
            f107a.getSegment(f7, f8, b, true);
            if (f8 > length) {
                c.reset();
                f107a.getSegment(0.0f, f8 % length, c, true);
                b.addPath(c);
            } else if (f7 < 0.0f) {
                c.reset();
                f107a.getSegment(f7 + length, length, c, true);
                b.addPath(c);
            }
            path.set(b);
            com.airbnb.lottie.d.b("applyTrimPathIfNeeded");
        }
    }

    public static boolean a(j jVar, int i, int i2, int i3) {
        if (jVar.d() < i) {
            return false;
        }
        if (jVar.d() <= i) {
            if (jVar.e() < i2) {
                return false;
            }
            return jVar.e() > i2 || jVar.f() >= i3;
        }
        return true;
    }

    public static int a(float f, float f2, float f3, float f4) {
        int i = 17;
        if (f != 0.0f) {
            i = (int) (527 * f);
        }
        if (f2 != 0.0f) {
            i = (int) (i * 31 * f2);
        }
        if (f3 != 0.0f) {
            i = (int) (i * 31 * f3);
        }
        if (f4 != 0.0f) {
            return (int) (i * 31 * f4);
        }
        return i;
    }

    public static float a(Context context) {
        return Build.VERSION.SDK_INT >= 17 ? Settings.Global.getFloat(context.getContentResolver(), "animator_duration_scale", 1.0f) : Settings.System.getFloat(context.getContentResolver(), "animator_duration_scale", 1.0f);
    }
}
