package com.airbnb.lottie;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Rect;
import android.os.AsyncTask;
import android.support.annotation.Nullable;
import android.support.annotation.RawRes;
import android.support.v4.util.LongSparseArray;
import android.support.v4.util.SparseArrayCompat;
import android.util.Log;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
/* loaded from: classes.dex */
public class l {
    public static a a(Context context, String str, x xVar) {
        try {
            return a(context, context.getAssets().open(str), xVar);
        } catch (IOException e) {
            throw new IllegalStateException("Unable to find file " + str, e);
        }
    }

    public static a a(Context context, @RawRes int i, x xVar) {
        return a(context, context.getResources().openRawResource(i), xVar);
    }

    public static a a(Context context, InputStream inputStream, x xVar) {
        com.airbnb.lottie.c.f fVar = new com.airbnb.lottie.c.f(context.getResources(), xVar);
        fVar.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new InputStream[]{inputStream});
        return fVar;
    }

    public static a a(Resources resources, JSONObject jSONObject, x xVar) {
        com.airbnb.lottie.c.k kVar = new com.airbnb.lottie.c.k(resources, xVar);
        kVar.executeOnExecutor(AsyncTask.THREAD_POOL_EXECUTOR, new JSONObject[]{jSONObject});
        return kVar;
    }

    @Nullable
    public static j a(Resources resources, InputStream inputStream) {
        try {
            byte[] bArr = new byte[inputStream.available()];
            inputStream.read(bArr);
            return a(resources, new JSONObject(new String(bArr, "UTF-8")));
        } catch (IOException e) {
            Log.e("LOTTIE", "Failed to load composition.", new IllegalStateException("Unable to find file.", e));
            return null;
        } catch (JSONException e2) {
            Log.e("LOTTIE", "Failed to load composition.", new IllegalStateException("Unable to load JSON.", e2));
            return null;
        } finally {
            com.airbnb.lottie.d.g.a(inputStream);
        }
    }

    public static j a(Resources resources, JSONObject jSONObject) {
        float f = resources.getDisplayMetrics().density;
        int optInt = jSONObject.optInt("w", -1);
        int optInt2 = jSONObject.optInt("h", -1);
        Rect rect = (optInt == -1 || optInt2 == -1) ? null : new Rect(0, 0, (int) (optInt * f), (int) (optInt2 * f));
        String[] split = jSONObject.optString("v").split("[.]");
        j jVar = new j(rect, jSONObject.optLong("ip", 0L), jSONObject.optLong("op", 0L), (float) jSONObject.optDouble("fr", 0.0d), f, Integer.parseInt(split[0]), Integer.parseInt(split[1]), Integer.parseInt(split[2]));
        JSONArray optJSONArray = jSONObject.optJSONArray("assets");
        b(optJSONArray, jVar);
        a(optJSONArray, jVar);
        b(jSONObject.optJSONObject("fonts"), jVar);
        c(jSONObject.optJSONArray("chars"), jVar);
        a(jSONObject, jVar);
        return jVar;
    }

    private static void a(JSONObject jSONObject, j jVar) {
        List list;
        LongSparseArray longSparseArray;
        int i = 0;
        JSONArray optJSONArray = jSONObject.optJSONArray("layers");
        if (optJSONArray != null) {
            int length = optJSONArray.length();
            for (int i2 = 0; i2 < length; i2++) {
                com.airbnb.lottie.c.c.g a2 = com.airbnb.lottie.c.c.i.a(optJSONArray.optJSONObject(i2), jVar);
                if (a2.k() == com.airbnb.lottie.c.c.j.Image) {
                    i++;
                }
                list = jVar.f;
                longSparseArray = jVar.e;
                a(list, longSparseArray, a2);
            }
            if (i > 4) {
                jVar.a("You have " + i + " images. Lottie should primarily be used with shapes. If you are using Adobe Illustrator, convert the Illustrator layers to shape layers.");
            }
        }
    }

    private static void a(@Nullable JSONArray jSONArray, j jVar) {
        Map map;
        if (jSONArray != null) {
            int length = jSONArray.length();
            for (int i = 0; i < length; i++) {
                JSONObject optJSONObject = jSONArray.optJSONObject(i);
                JSONArray optJSONArray = optJSONObject.optJSONArray("layers");
                if (optJSONArray != null) {
                    ArrayList arrayList = new ArrayList(optJSONArray.length());
                    LongSparseArray longSparseArray = new LongSparseArray();
                    for (int i2 = 0; i2 < optJSONArray.length(); i2++) {
                        com.airbnb.lottie.c.c.g a2 = com.airbnb.lottie.c.c.i.a(optJSONArray.optJSONObject(i2), jVar);
                        longSparseArray.put(a2.e(), a2);
                        arrayList.add(a2);
                    }
                    String optString = optJSONObject.optString("id");
                    map = jVar.f112a;
                    map.put(optString, arrayList);
                }
            }
        }
    }

    private static void b(@Nullable JSONArray jSONArray, j jVar) {
        Map map;
        if (jSONArray != null) {
            int length = jSONArray.length();
            for (int i = 0; i < length; i++) {
                JSONObject optJSONObject = jSONArray.optJSONObject(i);
                if (optJSONObject.has("p")) {
                    u a2 = w.a(optJSONObject);
                    map = jVar.b;
                    map.put(a2.a(), a2);
                }
            }
        }
    }

    private static void b(@Nullable JSONObject jSONObject, j jVar) {
        JSONArray optJSONArray;
        Map map;
        if (jSONObject != null && (optJSONArray = jSONObject.optJSONArray("list")) != null) {
            int length = optJSONArray.length();
            for (int i = 0; i < length; i++) {
                com.airbnb.lottie.c.g a2 = com.airbnb.lottie.c.h.a(optJSONArray.optJSONObject(i));
                map = jVar.c;
                map.put(a2.b(), a2);
            }
        }
    }

    private static void c(@Nullable JSONArray jSONArray, j jVar) {
        SparseArrayCompat sparseArrayCompat;
        if (jSONArray != null) {
            int length = jSONArray.length();
            for (int i = 0; i < length; i++) {
                com.airbnb.lottie.c.i a2 = com.airbnb.lottie.c.j.a(jSONArray.optJSONObject(i), jVar);
                sparseArrayCompat = jVar.d;
                sparseArrayCompat.put(a2.hashCode(), a2);
            }
        }
    }

    private static void a(List<com.airbnb.lottie.c.c.g> list, LongSparseArray<com.airbnb.lottie.c.c.g> longSparseArray, com.airbnb.lottie.c.c.g gVar) {
        list.add(gVar);
        longSparseArray.put(gVar.e(), gVar);
    }
}
