package com.airbnb.lottie;

import android.animation.ValueAnimator;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.support.annotation.FloatRange;
import android.support.annotation.IntRange;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.util.Log;
import android.view.View;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;
/* loaded from: classes.dex */
public class m extends Drawable implements Drawable.Callback {
    private static final String c = m.class.getSimpleName();
    @Nullable

    /* renamed from: a  reason: collision with root package name */
    b f113a;
    @Nullable
    ae b;
    private j e;
    @Nullable
    private com.airbnb.lottie.b.b j;
    @Nullable
    private String k;
    @Nullable
    private c l;
    @Nullable
    private com.airbnb.lottie.b.a m;
    private boolean n;
    @Nullable
    private com.airbnb.lottie.c.c.d o;
    private boolean q;
    private final Matrix d = new Matrix();
    private final com.airbnb.lottie.d.c f = new com.airbnb.lottie.d.c();
    private float g = 1.0f;
    private final Set<s> h = new HashSet();
    private final ArrayList<t> i = new ArrayList<>();
    private int p = 255;

    public m() {
        this.f.addUpdateListener(new n(this));
    }

    public boolean a() {
        return this.n;
    }

    public void a(boolean z) {
        if (Build.VERSION.SDK_INT < 19) {
            Log.w(c, "Merge paths are not supported pre-Kit Kat.");
            return;
        }
        this.n = z;
        if (this.e != null) {
            r();
        }
    }

    public void a(@Nullable String str) {
        this.k = str;
    }

    @Nullable
    public String b() {
        return this.k;
    }

    public void c() {
        if (this.j != null) {
            this.j.a();
        }
    }

    public boolean a(j jVar) {
        if (this.e == jVar) {
            return false;
        }
        e();
        this.e = jVar;
        r();
        this.f.a(jVar.c());
        d(this.f.b());
        e(this.g);
        t();
        s();
        Iterator it = new ArrayList(this.i).iterator();
        while (it.hasNext()) {
            ((t) it.next()).a(jVar);
            it.remove();
        }
        this.i.clear();
        jVar.a(this.q);
        return true;
    }

    public void b(boolean z) {
        this.q = z;
        if (this.e != null) {
            this.e.a(z);
        }
    }

    @Nullable
    public y d() {
        if (this.e != null) {
            return this.e.a();
        }
        return null;
    }

    private void r() {
        this.o = new com.airbnb.lottie.c.c.d(this, com.airbnb.lottie.c.c.i.a(this.e), this.e.i(), this.e);
    }

    private void s() {
        if (this.o != null) {
            for (s sVar : this.h) {
                this.o.a(sVar.f119a, sVar.b, sVar.c);
            }
        }
    }

    public void e() {
        c();
        if (this.f.isRunning()) {
            this.f.cancel();
        }
        this.e = null;
        this.o = null;
        this.j = null;
        invalidateSelf();
    }

    @Override // android.graphics.drawable.Drawable
    public void invalidateSelf() {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.invalidateDrawable(this);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setAlpha(@IntRange(from = 0, to = 255) int i) {
        this.p = i;
    }

    @Override // android.graphics.drawable.Drawable
    public int getAlpha() {
        return this.p;
    }

    @Override // android.graphics.drawable.Drawable
    public void setColorFilter(@Nullable ColorFilter colorFilter) {
        Log.w("LOTTIE", "Use addColorFilter instead.");
    }

    public void a(ColorFilter colorFilter) {
        a(null, null, colorFilter);
    }

    private void a(@Nullable String str, @Nullable String str2, @Nullable ColorFilter colorFilter) {
        s sVar = new s(str, str2, colorFilter);
        if (colorFilter == null && this.h.contains(sVar)) {
            this.h.remove(sVar);
        } else {
            this.h.add(new s(str, str2, colorFilter));
        }
        if (this.o != null) {
            this.o.a(str, str2, colorFilter);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public int getOpacity() {
        return -3;
    }

    @Override // android.graphics.drawable.Drawable
    public void draw(@NonNull Canvas canvas) {
        float f;
        d.a("Drawable#draw");
        if (this.o != null) {
            float f2 = this.g;
            float a2 = a(canvas);
            if (f2 > a2) {
                f = this.g / a2;
            } else {
                a2 = f2;
                f = 1.0f;
            }
            if (f > 1.0f) {
                canvas.save();
                float width = this.e.b().width() / 2.0f;
                float height = this.e.b().height() / 2.0f;
                float f3 = width * a2;
                float f4 = height * a2;
                canvas.translate((width * n()) - f3, (height * n()) - f4);
                canvas.scale(f, f, f3, f4);
            }
            this.d.reset();
            this.d.preScale(a2, a2);
            this.o.a(canvas, this.d, this.p);
            d.b("Drawable#draw");
            if (f > 1.0f) {
                canvas.restore();
            }
        }
    }

    public void f() {
        if (this.o == null) {
            this.i.add(new o(this));
        } else {
            this.f.d();
        }
    }

    public void a(int i) {
        if (this.e == null) {
            this.i.add(new p(this, i));
        } else {
            a(i / this.e.m());
        }
    }

    public void a(float f) {
        this.f.b(f);
    }

    public void b(int i) {
        if (this.e == null) {
            this.i.add(new q(this, i));
        } else {
            b(i / this.e.m());
        }
    }

    public void b(@FloatRange(from = 0.0d, to = 1.0d) float f) {
        this.f.c(f);
    }

    public void c(float f) {
        this.f.d(f);
    }

    public float g() {
        return this.f.c();
    }

    public void a(ValueAnimator.AnimatorUpdateListener animatorUpdateListener) {
        this.f.addUpdateListener(animatorUpdateListener);
    }

    public void b(ValueAnimator.AnimatorUpdateListener animatorUpdateListener) {
        this.f.removeUpdateListener(animatorUpdateListener);
    }

    public void c(int i) {
        if (this.e == null) {
            this.i.add(new r(this, i));
        } else {
            d(i / this.e.m());
        }
    }

    public int h() {
        if (this.e == null) {
            return 0;
        }
        return (int) (q() * this.e.m());
    }

    public void d(@FloatRange(from = 0.0d, to = 1.0d) float f) {
        this.f.a(f);
        if (this.o != null) {
            this.o.a(f);
        }
    }

    public void c(boolean z) {
        this.f.setRepeatCount(z ? -1 : 0);
    }

    public boolean i() {
        return this.f.getRepeatCount() == -1;
    }

    public boolean j() {
        return this.f.isRunning();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void k() {
        this.f.a();
    }

    public void e(float f) {
        this.g = f;
        t();
    }

    public void a(c cVar) {
        this.l = cVar;
        if (this.j != null) {
            this.j.a(cVar);
        }
    }

    public void a(b bVar) {
        this.f113a = bVar;
        if (this.m != null) {
            this.m.a(bVar);
        }
    }

    public void a(ae aeVar) {
        this.b = aeVar;
    }

    @Nullable
    public ae l() {
        return this.b;
    }

    public boolean m() {
        return this.b == null && this.e.j().size() > 0;
    }

    public float n() {
        return this.g;
    }

    public j o() {
        return this.e;
    }

    private void t() {
        if (this.e != null) {
            float n = n();
            setBounds(0, 0, (int) (this.e.b().width() * n), (int) (n * this.e.b().height()));
        }
    }

    public void p() {
        this.i.clear();
        this.f.cancel();
    }

    @FloatRange(from = 0.0d, to = 1.0d)
    public float q() {
        return this.f.b();
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicWidth() {
        if (this.e == null) {
            return -1;
        }
        return (int) (this.e.b().width() * n());
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicHeight() {
        if (this.e == null) {
            return -1;
        }
        return (int) (this.e.b().height() * n());
    }

    @Nullable
    public Bitmap b(String str) {
        com.airbnb.lottie.b.b u = u();
        if (u != null) {
            return u.a(str);
        }
        return null;
    }

    private com.airbnb.lottie.b.b u() {
        if (getCallback() == null) {
            return null;
        }
        if (this.j != null && !this.j.a(w())) {
            this.j.a();
            this.j = null;
        }
        if (this.j == null) {
            this.j = new com.airbnb.lottie.b.b(getCallback(), this.k, this.l, this.e.l());
        }
        return this.j;
    }

    @Nullable
    public Typeface a(String str, String str2) {
        com.airbnb.lottie.b.a v = v();
        if (v != null) {
            return v.a(str, str2);
        }
        return null;
    }

    private com.airbnb.lottie.b.a v() {
        if (getCallback() == null) {
            return null;
        }
        if (this.m == null) {
            this.m = new com.airbnb.lottie.b.a(getCallback(), this.f113a);
        }
        return this.m;
    }

    @Nullable
    private Context w() {
        Drawable.Callback callback = getCallback();
        if (callback != null && (callback instanceof View)) {
            return ((View) callback).getContext();
        }
        return null;
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void invalidateDrawable(@NonNull Drawable drawable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.invalidateDrawable(this);
        }
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void scheduleDrawable(@NonNull Drawable drawable, @NonNull Runnable runnable, long j) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.scheduleDrawable(this, runnable, j);
        }
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void unscheduleDrawable(@NonNull Drawable drawable, @NonNull Runnable runnable) {
        Drawable.Callback callback = getCallback();
        if (callback != null) {
            callback.unscheduleDrawable(this, runnable);
        }
    }

    private float a(@NonNull Canvas canvas) {
        return Math.min(canvas.getWidth() / this.e.b().width(), canvas.getHeight() / this.e.b().height());
    }
}
