package com.autonavi.amapauto.protocol;

import android.content.Context;
import com.autonavi.amapauto.protocol.control.ProtocolAPIControl;
import com.autonavi.amapauto.protocol.listener.IProtocolCallback;
import com.autonavi.amapauto.protocol.listener.IProtocolListener;
import com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel;
import com.autonavi.amapauto.protocol.model.base.ProtocolModel;
import org.json.JSONObject;
/* loaded from: classes.dex */
public class AutoProtocolManager {
    private static final String TAG = AutoProtocolManager.class.getSimpleName();
    private com.autonavi.amapauto.protocol.control.a protocolAidlControl = null;
    private ProtocolAPIControl protocolAPIControl = null;

    public static AutoProtocolManager getInstance() {
        AutoProtocolManager autoProtocolManager;
        autoProtocolManager = a.f123a;
        return autoProtocolManager;
    }

    public boolean init(Context context) {
        com.autonavi.amapauto.protocol.b.a.a(TAG, "init context = {?} SDKVersion= {?}", context, getSDKVersion());
        if (context == null) {
            return false;
        }
        if (this.protocolAidlControl == null) {
            this.protocolAidlControl = new com.autonavi.amapauto.protocol.control.a(context);
        }
        if (this.protocolAPIControl == null) {
            this.protocolAPIControl = new ProtocolAPIControl(this);
        }
        return this.protocolAidlControl.a();
    }

    public void destory() {
        com.autonavi.amapauto.protocol.b.a.a(TAG, "destory", new Object[0]);
        if (this.protocolAidlControl != null) {
            this.protocolAidlControl.a((IProtocolListener) null);
            this.protocolAidlControl.d();
            this.protocolAidlControl.b();
        }
    }

    public ProtocolAPIControl getAPI() {
        if (this.protocolAPIControl == null) {
            this.protocolAPIControl = new ProtocolAPIControl(this);
        }
        return this.protocolAPIControl;
    }

    public void setProtocolListener(IProtocolListener iProtocolListener) {
        com.autonavi.amapauto.protocol.b.a.a(TAG, "setProtocolListener={?}", this.protocolAidlControl);
        if (this.protocolAidlControl != null) {
            this.protocolAidlControl.a(iProtocolListener);
        }
    }

    public int sendProtocolModelData(ProtocolBaseModel protocolBaseModel, IProtocolCallback iProtocolCallback) {
        com.autonavi.amapauto.protocol.b.a.a(TAG, "sendProtocolModelData", new Object[0]);
        if (this.protocolAidlControl != null) {
            if (!this.protocolAidlControl.e()) {
                this.protocolAidlControl.a();
            }
            return this.protocolAidlControl.a(protocolBaseModel, iProtocolCallback);
        }
        return -1;
    }

    public ProtocolModel sendSyncGetAutoData(ProtocolBaseModel protocolBaseModel) {
        com.autonavi.amapauto.protocol.b.a.a(TAG, "sendProtocolModelData", new Object[0]);
        if (this.protocolAidlControl != null) {
            if (!this.protocolAidlControl.e()) {
                this.protocolAidlControl.a();
            }
            return this.protocolAidlControl.a(protocolBaseModel);
        }
        return null;
    }

    public int sendProtocolJSONData(JSONObject jSONObject, IProtocolCallback iProtocolCallback) {
        com.autonavi.amapauto.protocol.b.a.a(TAG, "sendProtocolJSONData", new Object[0]);
        if (this.protocolAidlControl != null) {
            if (!this.protocolAidlControl.e()) {
                this.protocolAidlControl.a();
            }
            return this.protocolAidlControl.a(jSONObject, iProtocolCallback);
        }
        return -1;
    }

    public void cancelProtocolCallback(int i) {
        if (this.protocolAidlControl != null) {
            this.protocolAidlControl.a(i);
        }
    }

    public String getSDKVersion() {
        return "1.0.201.ef0aba1226f41fecc29414f7ecb92a45b5449a5f";
    }

    public boolean isServiceConnect() {
        if (this.protocolAidlControl != null) {
            return this.protocolAidlControl.e();
        }
        return false;
    }

    public static void setDebug(boolean z) {
        com.autonavi.amapauto.protocol.b.a.a(z);
    }

    public static void setLogOutPutPath(String str) {
        com.autonavi.amapauto.protocol.b.a.a(str);
    }
}
