package com.autonavi.amapauto.protocol.control;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.os.IBinder;
import android.os.RemoteException;
import android.support.v4.os.EnvironmentCompat;
import android.util.SparseArray;
import com.autonavi.amapauto.protocol.a.c;
import com.autonavi.amapauto.protocol.listener.IProtocolCallback;
import com.autonavi.amapauto.protocol.listener.IProtocolListener;
import com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel;
import com.autonavi.amapauto.protocol.model.base.ProtocolModel;
import org.json.JSONException;
import org.json.JSONObject;
/* loaded from: classes.dex */
public class a {
    private static final String b = a.class.getSimpleName();
    private static int h = 0;
    private com.autonavi.amapauto.protocol.a.a c;
    private IProtocolListener d;
    private Context e;
    private boolean f = false;
    private SparseArray<IProtocolCallback> g = new SparseArray<>();
    private IBinder.DeathRecipient i = new b(this);

    /* renamed from: a  reason: collision with root package name */
    com.autonavi.amapauto.protocol.a.b f134a = new c(this);
    private ServiceConnection j = new d(this);
    private c.a k = new e(this);

    public a(Context context) {
        this.e = null;
        this.e = context;
    }

    public void a(IProtocolListener iProtocolListener) {
        com.autonavi.amapauto.protocol.b.a.a(b, "setListener = {?}", iProtocolListener);
        this.d = iProtocolListener;
    }

    public boolean a() {
        if (this.e == null) {
            com.autonavi.amapauto.protocol.b.a.a(b, "bindService mContext = {?}", this.e);
            return false;
        }
        try {
            Intent intent = new Intent();
            intent.setAction("com.autonavi.amapauto.protocolService");
            intent.setComponent(new ComponentName("com.autonavi.amapauto", "com.autonavi.amapauto.protocol.service.ProtocolService"));
            this.f = this.e.getApplicationContext().bindService(intent, this.j, 1);
            com.autonavi.amapauto.protocol.b.a.a(b, "bindService = {?}", Boolean.valueOf(this.f));
        } catch (Exception e) {
            com.autonavi.amapauto.protocol.b.a.a(b, "bindService Exception", e, new Object[0]);
        }
        return this.f;
    }

    public boolean b() {
        if (this.e == null || !this.f) {
            com.autonavi.amapauto.protocol.b.a.a(b, "unBindService mContext = {?} isBind = {?}", this.e, Boolean.valueOf(this.f));
            return false;
        }
        com.autonavi.amapauto.protocol.b.a.a(b, "unBindService", new Object[0]);
        this.f = false;
        try {
            this.e.getApplicationContext().unbindService(this.j);
            return true;
        } catch (UnsupportedOperationException e) {
            com.autonavi.amapauto.protocol.b.a.a(b, "unBindService UnsupportedOperationException", e, new Object[0]);
            return true;
        }
    }

    public boolean c() {
        if (this.c == null || this.e == null) {
            com.autonavi.amapauto.protocol.b.a.a(b, "registerCallback protocolAidlInterface = {?} mContext = {?}", this.c, this.e);
            return false;
        }
        com.autonavi.amapauto.protocol.b.a.a(b, "registerCallback", new Object[0]);
        try {
            String packageName = this.e.getPackageName();
            if (packageName == null) {
                packageName = EnvironmentCompat.MEDIA_UNKNOWN;
            }
            this.c.a(packageName, this.k);
            return true;
        } catch (RemoteException e) {
            com.autonavi.amapauto.protocol.b.a.a(b, "registerCallback RemoteException {?}", e);
            return true;
        } catch (UnsupportedOperationException e2) {
            com.autonavi.amapauto.protocol.b.a.a(b, "UnsupportedOperationException RemoteException {?}", e2);
            return true;
        }
    }

    public boolean d() {
        if (this.c == null || this.e == null) {
            com.autonavi.amapauto.protocol.b.a.a(b, "unregisterCallback protocolAidlInterface = {?} mContext = {?}", this.c, this.e);
            return false;
        }
        com.autonavi.amapauto.protocol.b.a.a(b, "unregisterCallback", new Object[0]);
        try {
            String packageName = this.e.getPackageName();
            if (packageName == null) {
                packageName = EnvironmentCompat.MEDIA_UNKNOWN;
            }
            this.c.b(packageName, this.k);
            return true;
        } catch (RemoteException e) {
            com.autonavi.amapauto.protocol.b.a.a(b, "registerCallback RemoteException {?}", e);
            return true;
        } catch (UnsupportedOperationException e2) {
            com.autonavi.amapauto.protocol.b.a.a(b, "UnsupportedOperationException RemoteException {?}", e2);
            return true;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean g() {
        if (this.c == null || this.e == null) {
            com.autonavi.amapauto.protocol.b.a.a(b, "authentication protocolAidlInterface = {?} mContext = {?}", this.c, this.e);
            return false;
        }
        try {
            ApplicationInfo applicationInfo = this.e.getPackageManager().getApplicationInfo(this.e.getPackageName(), 128);
            if (applicationInfo != null && applicationInfo.metaData != null) {
                String string = applicationInfo.metaData.getString("com.autonavi.amapauto.protocol.apikey");
                com.autonavi.amapauto.protocol.b.a.a(b, "authentication apikey = {?}", string);
                if (string != null) {
                    boolean b2 = this.c.b(string);
                    com.autonavi.amapauto.protocol.b.a.a(b, "authentication result = {?}", Boolean.valueOf(b2));
                    return b2;
                }
            }
        } catch (PackageManager.NameNotFoundException e) {
            com.autonavi.amapauto.protocol.b.a.a(b, "authentication NameNotFoundException {?}", e);
        } catch (RemoteException e2) {
            com.autonavi.amapauto.protocol.b.a.a(b, "authentication RemoteException {?}", e2);
        } catch (Exception e3) {
            com.autonavi.amapauto.protocol.b.a.a(b, "authentication Exception {?}", e3);
        }
        return false;
    }

    public int a(ProtocolBaseModel protocolBaseModel, IProtocolCallback iProtocolCallback) {
        int i = -1;
        if (protocolBaseModel == null || iProtocolCallback == null || this.e == null) {
            com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolModelData model = {?} callback = {?}", protocolBaseModel, iProtocolCallback);
        } else {
            com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolModelData", new Object[0]);
            if (this.c != null) {
                try {
                    i = h();
                    a(i, iProtocolCallback);
                    String packageName = this.e.getPackageName();
                    if (packageName == null) {
                        packageName = EnvironmentCompat.MEDIA_UNKNOWN;
                    }
                    long currentTimeMillis = System.currentTimeMillis();
                    protocolBaseModel.setCallbackId(i);
                    protocolBaseModel.setPackageName(packageName);
                    protocolBaseModel.setTimeStamp(currentTimeMillis);
                    ProtocolModel protocolModel = new ProtocolModel();
                    protocolModel.setProtocolModel(protocolBaseModel);
                    this.c.a(protocolModel);
                    com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolModelData callbackId = {?}", Integer.valueOf(i));
                } catch (RemoteException e) {
                    com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolModelData RemoteException", e, new Object[0]);
                } catch (UnsupportedOperationException e2) {
                    com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolModelData UnsupportedOperationException", e2, new Object[0]);
                }
            }
        }
        return i;
    }

    public ProtocolModel a(ProtocolBaseModel protocolBaseModel) {
        if (protocolBaseModel == null) {
            com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolModelData model = {?}", protocolBaseModel);
            return null;
        }
        com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolModelData", new Object[0]);
        if (this.c != null) {
            try {
                int h2 = h();
                String packageName = this.e.getPackageName();
                if (packageName == null) {
                    packageName = EnvironmentCompat.MEDIA_UNKNOWN;
                }
                long currentTimeMillis = System.currentTimeMillis();
                protocolBaseModel.setCallbackId(h2);
                protocolBaseModel.setPackageName(packageName);
                protocolBaseModel.setTimeStamp(currentTimeMillis);
                ProtocolModel protocolModel = new ProtocolModel();
                protocolModel.setProtocolModel(protocolBaseModel);
                return this.c.b(protocolModel);
            } catch (RemoteException e) {
                com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolModelData RemoteException", e, new Object[0]);
                return null;
            } catch (UnsupportedOperationException e2) {
                com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolModelData UnsupportedOperationException", e2, new Object[0]);
                return null;
            }
        }
        return null;
    }

    public int a(JSONObject jSONObject, IProtocolCallback iProtocolCallback) {
        int i = -1;
        if (jSONObject == null || iProtocolCallback == null || this.e == null) {
            com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolJSONData jsonObject = null", new Object[0]);
            return -1;
        }
        com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolJSONData jsonString = {?} protocolAidlInterface = {?}", jSONObject.toString(), this.c);
        if (this.c == null) {
            return -1;
        }
        try {
            i = h();
            a(i, iProtocolCallback);
            jSONObject.put("timeStamp", System.currentTimeMillis());
            jSONObject.put("callbackId", i);
            this.c.a(jSONObject.toString());
            com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolJSONData callbackId = {?}", Integer.valueOf(i));
            return i;
        } catch (RemoteException e) {
            com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolJSONData RemoteException", e, new Object[0]);
            return i;
        } catch (JSONException e2) {
            com.autonavi.amapauto.protocol.b.a.a(b, "sendProtocolJSONData JSONException", e2, new Object[0]);
            return i;
        }
    }

    public boolean e() {
        return this.c != null;
    }

    private synchronized int h() {
        int i;
        i = h + 1;
        h = i;
        return i;
    }

    private synchronized void a(int i, IProtocolCallback iProtocolCallback) {
        if (this.g != null) {
            com.autonavi.amapauto.protocol.b.a.a(b, "putCallback callbackId = {?}", Integer.valueOf(i));
            this.g.put(i, iProtocolCallback);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public IProtocolCallback b(int i) {
        if (this.g != null) {
            com.autonavi.amapauto.protocol.b.a.a(b, "getCallback callbackId = {?}", Integer.valueOf(i));
            return this.g.get(i);
        }
        return null;
    }

    public synchronized void a(int i) {
        try {
            if (this.g != null && this.g.size() > 0) {
                com.autonavi.amapauto.protocol.b.a.a(b, "cancelCallback callbackId = {?}", Integer.valueOf(i));
                this.g.remove(i);
            }
        } catch (Exception e) {
            com.autonavi.amapauto.protocol.b.a.a(b, "cancelCallback Exception", e);
        }
    }
}
