package com.autonavi.amapauto.protocol.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.autonavi.amapauto.protocol.constant.ProtocolID;
import com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel;
import com.autonavi.amapauto.protocol.model.item.ProtocolPoi;
import java.util.List;
/* loaded from: classes.dex */
public class RequestRouteExModel extends ProtocolBaseModel {
    public static final Parcelable.Creator<RequestRouteExModel> CREATOR = new Parcelable.Creator<RequestRouteExModel>() { // from class: com.autonavi.amapauto.protocol.model.client.RequestRouteExModel.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public RequestRouteExModel createFromParcel(Parcel parcel) {
            return new RequestRouteExModel(parcel);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public RequestRouteExModel[] newArray(int i) {
            return new RequestRouteExModel[i];
        }
    };
    private static final String version = "1.0";
    private int actionType;
    private int dev;
    private ProtocolPoi endProtocolPoi;
    private String json;
    private List<ProtocolPoi> midProtocolPois;
    private int strategy;

    public RequestRouteExModel() {
        this.actionType = 1;
        this.strategy = -1;
        this.dev = 0;
        setProtocolID(ProtocolID.PROTOCOL_REQUEST_ROUTE_EX);
        setProtocolVersion(version);
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.actionType);
        parcel.writeInt(this.strategy);
        parcel.writeInt(this.dev);
        parcel.writeParcelable(this.endProtocolPoi, i);
        parcel.writeTypedList(this.midProtocolPois);
        parcel.writeString(this.json);
    }

    protected RequestRouteExModel(Parcel parcel) {
        super(parcel);
        this.actionType = 1;
        this.strategy = -1;
        this.dev = 0;
        this.actionType = parcel.readInt();
        this.strategy = parcel.readInt();
        this.dev = parcel.readInt();
        this.endProtocolPoi = (ProtocolPoi) parcel.readParcelable(ProtocolPoi.class.getClassLoader());
        this.midProtocolPois = parcel.createTypedArrayList(ProtocolPoi.CREATOR);
        this.json = parcel.readString();
    }

    public int getActionType() {
        return this.actionType;
    }

    public void setActionType(int i) {
        this.actionType = i;
    }

    public int getStrategy() {
        return this.strategy;
    }

    public void setStrategy(int i) {
        this.strategy = i;
    }

    public int getDev() {
        return this.dev;
    }

    public void setDev(int i) {
        this.dev = i;
    }

    public ProtocolPoi getEndProtocolPoi() {
        return this.endProtocolPoi;
    }

    public void setEndProtocolPoi(ProtocolPoi protocolPoi) {
        this.endProtocolPoi = protocolPoi;
    }

    public List<ProtocolPoi> getMidProtocolPois() {
        return this.midProtocolPois;
    }

    public void setMidProtocolPois(List<ProtocolPoi> list) {
        this.midProtocolPois = list;
    }

    public String getJson() {
        return this.json;
    }

    public void setJson(String str) {
        this.json = str;
    }
}
