package com.autonavi.amapauto.protocol.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.autonavi.amapauto.protocol.constant.ProtocolID;
import com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel;
/* loaded from: classes.dex */
public class SetSpecialPoiModel extends ProtocolBaseModel {
    public static final Parcelable.Creator<SetSpecialPoiModel> CREATOR = new Parcelable.Creator<SetSpecialPoiModel>() { // from class: com.autonavi.amapauto.protocol.model.client.SetSpecialPoiModel.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public SetSpecialPoiModel createFromParcel(Parcel parcel) {
            return new SetSpecialPoiModel(parcel);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public SetSpecialPoiModel[] newArray(int i) {
            return new SetSpecialPoiModel[i];
        }
    };
    private static final String version = "1.0";
    private String address;
    private int dev;
    private double entry_latitude;
    private double entry_longitude;
    private double latitude;
    private double longitude;
    private String poiId;
    private String poiName;
    private int type;
    private int typeCode;

    public SetSpecialPoiModel() {
        setProtocolID(ProtocolID.PROTOCOL_SET_SPECIAL_POI);
        setProtocolVersion(version);
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeString(this.poiId);
        parcel.writeString(this.poiName);
        parcel.writeDouble(this.longitude);
        parcel.writeDouble(this.latitude);
        parcel.writeDouble(this.entry_longitude);
        parcel.writeDouble(this.entry_latitude);
        parcel.writeString(this.address);
        parcel.writeInt(this.typeCode);
        parcel.writeInt(this.type);
        parcel.writeInt(this.dev);
    }

    protected SetSpecialPoiModel(Parcel parcel) {
        super(parcel);
        this.poiId = parcel.readString();
        this.poiName = parcel.readString();
        this.longitude = parcel.readDouble();
        this.latitude = parcel.readDouble();
        this.entry_longitude = parcel.readDouble();
        this.entry_latitude = parcel.readDouble();
        this.address = parcel.readString();
        this.typeCode = parcel.readInt();
        this.type = parcel.readInt();
        this.dev = parcel.readInt();
    }

    public String getPoiId() {
        return this.poiId;
    }

    public void setPoiId(String str) {
        this.poiId = str;
    }

    public String getPoiName() {
        return this.poiName;
    }

    public void setPoiName(String str) {
        this.poiName = str;
    }

    public double getLongitude() {
        return this.longitude;
    }

    public void setLongitude(double d) {
        this.longitude = d;
    }

    public double getLatitude() {
        return this.latitude;
    }

    public void setLatitude(double d) {
        this.latitude = d;
    }

    public double getEntry_longitude() {
        return this.entry_longitude;
    }

    public void setEntry_longitude(double d) {
        this.entry_longitude = d;
    }

    public double getEntry_latitude() {
        return this.entry_latitude;
    }

    public void setEntry_latitude(double d) {
        this.entry_latitude = d;
    }

    public String getAddress() {
        return this.address;
    }

    public void setAddress(String str) {
        this.address = str;
    }

    public int getTypeCode() {
        return this.typeCode;
    }

    public void setTypeCode(int i) {
        this.typeCode = i;
    }

    public int getType() {
        return this.type;
    }

    public void setType(int i) {
        this.type = i;
    }

    public int getDev() {
        return this.dev;
    }

    public void setDev(int i) {
        this.dev = i;
    }
}
