package com.autonavi.amapauto.protocol.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.autonavi.amapauto.protocol.constant.ProtocolID;
import com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel;
/* loaded from: classes.dex */
public class GuideInfoModel extends ProtocolBaseModel {
    private static final String version = "1.0";
    private int cameraDist;
    private int cameraIndex;
    private int cameraSpeed;
    private int cameraType;
    private int carDirection;
    private double carLatitude;
    private double carLongitude;
    private int curPointNum;
    private String curRoadName;
    private int curSegNum;
    private int curSpeed;
    private int icon;
    private String json;
    private int limitedSpeed;
    private int newIcon;
    private String nextRoadName;
    private int roadType;
    private int roundAboutNum;
    private int roundAllNum;
    private int routeAllDis;
    private int routeAllTime;
    private int routeRemainDis;
    private int routeRemainTime;
    private int sapaDist;
    private String sapaName;
    private int sapaNum;
    private int sapaType;
    private int segRemainDis;
    private int segRemainTime;
    private int trafficLightNum;
    private int type;
    private static final String TAG = GuideInfoModel.class.getSimpleName();
    public static final Parcelable.Creator<GuideInfoModel> CREATOR = new Parcelable.Creator<GuideInfoModel>() { // from class: com.autonavi.amapauto.protocol.model.service.GuideInfoModel.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public GuideInfoModel createFromParcel(Parcel parcel) {
            return new GuideInfoModel(parcel);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public GuideInfoModel[] newArray(int i) {
            return new GuideInfoModel[i];
        }
    };

    /* loaded from: classes.dex */
    public enum NaviType {
        CRUISE(-1),
        NAVIGATION(0),
        SIMULATION(1);
        
        int value;

        NaviType(int i) {
            this.value = i;
        }

        public int getValue() {
            return this.value;
        }
    }

    public GuideInfoModel() {
        this.cameraDist = -1;
        this.cameraType = -1;
        this.cameraSpeed = -1;
        this.cameraIndex = -1;
        this.sapaDist = -1;
        this.sapaType = -1;
        this.sapaNum = 0;
        this.sapaName = "";
        setProtocolID(ProtocolID.PROTOCOL_GUIDE_INFO);
        setProtocolVersion(version);
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.type);
        parcel.writeString(this.curRoadName);
        parcel.writeString(this.nextRoadName);
        parcel.writeInt(this.cameraDist);
        parcel.writeInt(this.cameraType);
        parcel.writeInt(this.cameraSpeed);
        parcel.writeInt(this.cameraIndex);
        parcel.writeInt(this.icon);
        parcel.writeInt(this.newIcon);
        parcel.writeInt(this.routeRemainDis);
        parcel.writeInt(this.routeRemainTime);
        parcel.writeInt(this.segRemainDis);
        parcel.writeInt(this.segRemainTime);
        parcel.writeInt(this.carDirection);
        parcel.writeDouble(this.carLatitude);
        parcel.writeDouble(this.carLongitude);
        parcel.writeInt(this.limitedSpeed);
        parcel.writeInt(this.curSegNum);
        parcel.writeInt(this.curPointNum);
        parcel.writeInt(this.roundAboutNum);
        parcel.writeInt(this.roundAllNum);
        parcel.writeInt(this.routeAllDis);
        parcel.writeInt(this.routeAllTime);
        parcel.writeInt(this.curSpeed);
        parcel.writeInt(this.trafficLightNum);
        parcel.writeInt(this.sapaDist);
        parcel.writeInt(this.sapaType);
        parcel.writeInt(this.sapaNum);
        parcel.writeString(this.sapaName);
        parcel.writeInt(this.roadType);
        parcel.writeString(this.json);
    }

    protected GuideInfoModel(Parcel parcel) {
        super(parcel);
        this.cameraDist = -1;
        this.cameraType = -1;
        this.cameraSpeed = -1;
        this.cameraIndex = -1;
        this.sapaDist = -1;
        this.sapaType = -1;
        this.sapaNum = 0;
        this.sapaName = "";
        this.type = parcel.readInt();
        this.curRoadName = parcel.readString();
        this.nextRoadName = parcel.readString();
        this.cameraDist = parcel.readInt();
        this.cameraType = parcel.readInt();
        this.cameraSpeed = parcel.readInt();
        this.cameraIndex = parcel.readInt();
        this.icon = parcel.readInt();
        this.newIcon = parcel.readInt();
        this.routeRemainDis = parcel.readInt();
        this.routeRemainTime = parcel.readInt();
        this.segRemainDis = parcel.readInt();
        this.segRemainTime = parcel.readInt();
        this.carDirection = parcel.readInt();
        this.carLatitude = parcel.readDouble();
        this.carLongitude = parcel.readDouble();
        this.limitedSpeed = parcel.readInt();
        this.curSegNum = parcel.readInt();
        this.curPointNum = parcel.readInt();
        this.roundAboutNum = parcel.readInt();
        this.roundAllNum = parcel.readInt();
        this.routeAllDis = parcel.readInt();
        this.routeAllTime = parcel.readInt();
        this.curSpeed = parcel.readInt();
        this.trafficLightNum = parcel.readInt();
        this.sapaDist = parcel.readInt();
        this.sapaType = parcel.readInt();
        this.sapaNum = parcel.readInt();
        this.sapaName = parcel.readString();
        this.roadType = parcel.readInt();
        this.json = parcel.readString();
    }

    public String toString() {
        return "GuideInfoProtocolModel{type=" + this.type + ", cameraType=" + this.cameraType + ", cameraSpeed=" + this.cameraSpeed + ", cameraIndex=" + this.cameraIndex + ", limitedSpeed=" + this.limitedSpeed + ", curRoadName='" + this.curRoadName + "', nextRoadName='" + this.nextRoadName + "', cameraDist=" + this.cameraDist + ", icon=" + this.icon + ", newIcon=" + this.newIcon + ", routeRemainDis=" + this.routeRemainDis + ", routeRemainTime=" + this.routeRemainTime + ", segRemainDis=" + this.segRemainDis + ", segRemainTime=" + this.segRemainTime + ", carDirection=" + this.carDirection + ", carLatitude=" + this.carLatitude + ", carLongitude=" + this.carLongitude + ", curSegNum=" + this.curSegNum + ", curPointNum=" + this.curPointNum + ", roundAboutNum=" + this.roundAboutNum + ", roundAllNum=" + this.roundAllNum + ", routeAllDis=" + this.routeAllDis + ", routeAllTime=" + this.routeAllTime + ", curSpeed=" + this.curSpeed + ", trafficLightNum=" + this.trafficLightNum + ", sapaDist=" + this.sapaDist + ", sapaType=" + this.sapaType + ", sapaNum=" + this.sapaNum + ", sapaName='" + this.sapaName + "', roadType=" + this.roadType + '}';
    }

    public int getType() {
        return this.type;
    }

    public void setType(int i) {
        this.type = i;
    }

    public String getCurRoadName() {
        return this.curRoadName;
    }

    public void setCurRoadName(String str) {
        this.curRoadName = str;
    }

    public String getNextRoadName() {
        return this.nextRoadName;
    }

    public void setNextRoadName(String str) {
        this.nextRoadName = str;
    }

    public int getCameraDist() {
        return this.cameraDist;
    }

    public void setCameraDist(int i) {
        this.cameraDist = i;
    }

    public int getCameraType() {
        return this.cameraType;
    }

    public void setCameraType(int i) {
        this.cameraType = i;
    }

    public int getCameraSpeed() {
        return this.cameraSpeed;
    }

    public void setCameraSpeed(int i) {
        this.cameraSpeed = i;
    }

    public int getCameraIndex() {
        return this.cameraIndex;
    }

    public void setCameraIndex(int i) {
        this.cameraIndex = i;
    }

    public int getIcon() {
        return this.icon;
    }

    public void setIcon(int i) {
        this.icon = convertIcon(i);
    }

    public int getNewIcon() {
        return this.newIcon;
    }

    public void setNewIcon(int i) {
        this.newIcon = i;
    }

    public int getRouteRemainDis() {
        return this.routeRemainDis;
    }

    public void setRouteRemainDis(int i) {
        this.routeRemainDis = i;
    }

    public int getRouteRemainTime() {
        return this.routeRemainTime;
    }

    public void setRouteRemainTime(int i) {
        this.routeRemainTime = i;
    }

    public int getSegRemainDis() {
        return this.segRemainDis;
    }

    public void setSegRemainDis(int i) {
        this.segRemainDis = i;
    }

    public int getSegRemainTime() {
        return this.segRemainTime;
    }

    public void setSegRemainTime(int i) {
        this.segRemainTime = i;
    }

    public int getCarDirection() {
        return this.carDirection;
    }

    public void setCarDirection(int i) {
        this.carDirection = i;
    }

    public double getCarLatitude() {
        return this.carLatitude;
    }

    public void setCarLatitude(double d) {
        this.carLatitude = d;
    }

    public double getCarLongitude() {
        return this.carLongitude;
    }

    public void setCarLongitude(double d) {
        this.carLongitude = d;
    }

    public int getLimitedSpeed() {
        return this.limitedSpeed;
    }

    public void setLimitedSpeed(int i) {
        this.limitedSpeed = i;
    }

    public int getCurSegNum() {
        return this.curSegNum;
    }

    public void setCurSegNum(int i) {
        this.curSegNum = i;
    }

    public int getCurPointNum() {
        return this.curPointNum;
    }

    public void setCurPointNum(int i) {
        this.curPointNum = i;
    }

    public int getRoundAboutNum() {
        return this.roundAboutNum;
    }

    public void setRoundAboutNum(int i) {
        this.roundAboutNum = i;
    }

    public int getRoundAllNum() {
        return this.roundAllNum;
    }

    public void setRoundAllNum(int i) {
        this.roundAllNum = i;
    }

    public int getRouteAllDis() {
        return this.routeAllDis;
    }

    public void setRouteAllDis(int i) {
        this.routeAllDis = i;
    }

    public int getRouteAllTime() {
        return this.routeAllTime;
    }

    public void setRouteAllTime(int i) {
        this.routeAllTime = i;
    }

    public int getCurSpeed() {
        return this.curSpeed;
    }

    public void setCurSpeed(int i) {
        this.curSpeed = i;
    }

    public int getTrafficLightNum() {
        return this.trafficLightNum;
    }

    public void setTrafficLightNum(int i) {
        this.trafficLightNum = i;
    }

    public int getSapaDist() {
        return this.sapaDist;
    }

    public void setSapaDist(int i) {
        this.sapaDist = i;
    }

    public int getSapaType() {
        return this.sapaType;
    }

    public void setSapaType(int i) {
        this.sapaType = i;
    }

    public int getSapaNum() {
        return this.sapaNum;
    }

    public void setSapaNum(int i) {
        this.sapaNum = i;
    }

    public String getSapaName() {
        return this.sapaName;
    }

    public void setSapaName(String str) {
        this.sapaName = str;
    }

    public int getRoadType() {
        return this.roadType;
    }

    public void setRoadType(int i) {
        this.roadType = i;
    }

    public String getJson() {
        return this.json;
    }

    public void setJson(String str) {
        this.json = str;
    }

    public void clear() {
        this.type = 0;
        this.curRoadName = "";
        this.nextRoadName = "";
        this.cameraDist = -1;
        this.cameraType = -1;
        this.cameraSpeed = -1;
        this.cameraIndex = -1;
        this.icon = 0;
        this.newIcon = 0;
        this.routeRemainDis = 0;
        this.routeRemainTime = 0;
        this.segRemainDis = 0;
        this.segRemainTime = 0;
        this.carDirection = 0;
        this.carLatitude = 0.0d;
        this.carLongitude = 0.0d;
        this.limitedSpeed = 0;
        this.curSegNum = 0;
        this.curPointNum = 0;
        this.roundAboutNum = 0;
        this.roundAllNum = 0;
        this.routeAllDis = 0;
        this.routeAllTime = 0;
        this.curSpeed = 0;
        this.trafficLightNum = 0;
        this.sapaDist = -1;
        this.sapaType = -1;
        this.sapaNum = 0;
        this.sapaName = "";
        this.roadType = 0;
        this.json = "";
    }

    private int convertIcon(int i) {
        if (i == 21 || i == 22 || i == 24) {
            return 11;
        }
        if (i == 23) {
            return 12;
        }
        if (i == 25 || i == 26 || i == 28) {
            return 17;
        }
        if (i == 27) {
            return 18;
        }
        return i;
    }
}
