package com.autonavi.amapauto.protocol.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.autonavi.amapauto.protocol.constant.ProtocolID;
import com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel;
/* loaded from: classes.dex */
public class HighwayExitModel extends ProtocolBaseModel {
    public static final Parcelable.Creator<HighwayExitModel> CREATOR = new Parcelable.Creator<HighwayExitModel>() { // from class: com.autonavi.amapauto.protocol.model.service.HighwayExitModel.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public HighwayExitModel createFromParcel(Parcel parcel) {
            return new HighwayExitModel(parcel);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public HighwayExitModel[] newArray(int i) {
            return new HighwayExitModel[i];
        }
    };
    private static final String version = "1.0";
    private long etaDistance;
    private long etaTime;
    private String exitDirection;
    private int exitNumber;
    private String json;

    public HighwayExitModel() {
        setProtocolID(ProtocolID.PROTOCOL_HIGHWAY_EXIT);
        setProtocolVersion(version);
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.exitNumber);
        parcel.writeString(this.exitDirection);
        parcel.writeLong(this.etaDistance);
        parcel.writeLong(this.etaTime);
        parcel.writeString(this.json);
    }

    protected HighwayExitModel(Parcel parcel) {
        super(parcel);
        this.exitNumber = parcel.readInt();
        this.exitDirection = parcel.readString();
        this.etaDistance = parcel.readLong();
        this.etaTime = parcel.readLong();
        this.json = parcel.readString();
    }

    public static String getVersion() {
        return version;
    }

    public int getExitNumber() {
        return this.exitNumber;
    }

    public void setExitNumber(int i) {
        this.exitNumber = i;
    }

    public String getExitDirection() {
        return this.exitDirection;
    }

    public void setExitDirection(String str) {
        this.exitDirection = str;
    }

    public long getEtaDistance() {
        return this.etaDistance;
    }

    public void setEtaDistance(long j) {
        this.etaDistance = j;
    }

    public long getEtaTime() {
        return this.etaTime;
    }

    public void setEtaTime(long j) {
        this.etaTime = j;
    }

    public String getJson() {
        return this.json;
    }

    public void setJson(String str) {
        this.json = str;
    }
}
