package com.autonavi.amapauto.protocol.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.autonavi.amapauto.protocol.constant.ProtocolID;
import com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel;
/* loaded from: classes.dex */
public class ResponseHomeCompany extends ProtocolBaseModel {
    public static final Parcelable.Creator<ResponseHomeCompany> CREATOR = new Parcelable.Creator<ResponseHomeCompany>() { // from class: com.autonavi.amapauto.protocol.model.service.ResponseHomeCompany.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public ResponseHomeCompany createFromParcel(Parcel parcel) {
            return new ResponseHomeCompany(parcel);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public ResponseHomeCompany[] newArray(int i) {
            return new ResponseHomeCompany[i];
        }
    };
    public static final int TYPE_COMPANY = 1;
    public static final int TYPE_HOME = 0;
    private static final String version = "1.0";
    private float eta;
    private boolean isPrediction;
    private int size;
    private RouteTMCSegment[] tmcSegments;
    private int type;

    public int getType() {
        return this.type;
    }

    public void setType(int i) {
        this.type = i;
    }

    public boolean isPrediction() {
        return this.isPrediction;
    }

    public void setPrediction(boolean z) {
        this.isPrediction = z;
    }

    public float getEta() {
        return this.eta;
    }

    public void setEta(float f) {
        this.eta = f;
    }

    public int getSize() {
        return this.size;
    }

    public void setSize(int i) {
        this.size = i;
    }

    public RouteTMCSegment[] getTmcSegments() {
        return this.tmcSegments;
    }

    public void setTmcSegments(RouteTMCSegment[] routeTMCSegmentArr) {
        this.tmcSegments = routeTMCSegmentArr;
    }

    public ResponseHomeCompany() {
        setProtocolID(ProtocolID.PROTOCOL_Response_Home_company_tmc);
        setProtocolVersion(version);
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.type);
        parcel.writeByte(this.isPrediction ? (byte) 1 : (byte) 0);
        parcel.writeFloat(this.eta);
        parcel.writeInt(this.size);
        parcel.writeTypedArray(this.tmcSegments, i);
    }

    protected ResponseHomeCompany(Parcel parcel) {
        super(parcel);
        this.type = parcel.readInt();
        this.isPrediction = parcel.readByte() != 0;
        this.eta = parcel.readFloat();
        this.size = parcel.readInt();
        this.tmcSegments = (RouteTMCSegment[]) parcel.createTypedArray(RouteTMCSegment.CREATOR);
    }
}
