package com.autonavi.amapauto.protocol.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.autonavi.amapauto.protocol.constant.ProtocolID;
import com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel;
import com.autonavi.amapauto.protocol.model.item.ProtocolRouteInfo;
import com.autonavi.amapauto.protocol.model.item.ProtocolViaPOIInfo;
import java.util.ArrayList;
/* loaded from: classes.dex */
public class RouteInfoModel extends ProtocolBaseModel {
    public static final Parcelable.Creator<RouteInfoModel> CREATOR = new Parcelable.Creator<RouteInfoModel>() { // from class: com.autonavi.amapauto.protocol.model.service.RouteInfoModel.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public RouteInfoModel createFromParcel(Parcel parcel) {
            return new RouteInfoModel(parcel);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public RouteInfoModel[] newArray(int i) {
            return new RouteInfoModel[i];
        }
    };
    private static final String version = "1.0";
    private double arrivePOILatitude;
    private double arrivePOILongitude;
    private int count;
    private String endPOIAddr;
    private double endPOILatitude;
    private double endPOILongitude;
    private String endPOIName;
    private String json;
    private ArrayList<ProtocolRouteInfo> protocolRouteInfos;
    private ArrayList<ProtocolViaPOIInfo> protocolViaPOIInfos;
    private int routePreference;
    private String startPOIAddr;
    private double startPOILatitude;
    private double startPOILongitude;
    private String startPOIName;
    private int viaNumbers;

    public RouteInfoModel() {
        this.startPOIName = "";
        this.startPOIAddr = "";
        this.endPOIName = "";
        this.endPOIAddr = "";
        this.json = "";
        setProtocolID(ProtocolID.PROTOCOL_GET_ROUTE_INFO);
        setProtocolVersion(version);
    }

    public static String getVersion() {
        return version;
    }

    public int getCount() {
        return this.count;
    }

    public void setCount(int i) {
        this.count = i;
    }

    public String getStartPOIName() {
        return this.startPOIName;
    }

    public void setStartPOIName(String str) {
        this.startPOIName = str;
    }

    public String getStartPOIAddr() {
        return this.startPOIAddr;
    }

    public void setStartPOIAddr(String str) {
        this.startPOIAddr = str;
    }

    public double getStartPOILongitude() {
        return this.startPOILongitude;
    }

    public void setStartPOILongitude(double d) {
        this.startPOILongitude = d;
    }

    public double getStartPOILatitude() {
        return this.startPOILatitude;
    }

    public void setStartPOILatitude(double d) {
        this.startPOILatitude = d;
    }

    public String getEndPOIName() {
        return this.endPOIName;
    }

    public void setEndPOIName(String str) {
        this.endPOIName = str;
    }

    public String getEndPOIAddr() {
        return this.endPOIAddr;
    }

    public void setEndPOIAddr(String str) {
        this.endPOIAddr = str;
    }

    public double getEndPOILongitude() {
        return this.endPOILongitude;
    }

    public void setEndPOILongitude(double d) {
        this.endPOILongitude = d;
    }

    public double getEndPOILatitude() {
        return this.endPOILatitude;
    }

    public void setEndPOILatitude(double d) {
        this.endPOILatitude = d;
    }

    public double getArrivePOILongitude() {
        return this.arrivePOILongitude;
    }

    public void setArrivePOILongitude(double d) {
        this.arrivePOILongitude = d;
    }

    public double getArrivePOILatitude() {
        return this.arrivePOILatitude;
    }

    public void setArrivePOILatitude(double d) {
        this.arrivePOILatitude = d;
    }

    public int getViaNumbers() {
        return this.viaNumbers;
    }

    public void setViaNumbers(int i) {
        this.viaNumbers = i;
    }

    public int getRoutePreference() {
        return this.routePreference;
    }

    public void setRoutePreference(int i) {
        this.routePreference = i;
    }

    public ArrayList<ProtocolViaPOIInfo> getProtocolViaPOIInfos() {
        return this.protocolViaPOIInfos;
    }

    public void setProtocolViaPOIInfos(ArrayList<ProtocolViaPOIInfo> arrayList) {
        this.protocolViaPOIInfos = arrayList;
    }

    public ArrayList<ProtocolRouteInfo> getProtocolRouteInfos() {
        return this.protocolRouteInfos;
    }

    public void setProtocolRouteInfos(ArrayList<ProtocolRouteInfo> arrayList) {
        this.protocolRouteInfos = arrayList;
    }

    public String getJson() {
        return this.json;
    }

    public void setJson(String str) {
        this.json = str;
    }

    public void clear() {
        this.count = 0;
        this.startPOIName = "";
        this.startPOIAddr = "";
        this.startPOILongitude = 0.0d;
        this.startPOILatitude = 0.0d;
        this.endPOIName = "";
        this.endPOIAddr = "";
        this.endPOILongitude = 0.0d;
        this.endPOILatitude = 0.0d;
        this.arrivePOILongitude = 0.0d;
        this.arrivePOILatitude = 0.0d;
        this.viaNumbers = 0;
        this.routePreference = 2;
        this.protocolViaPOIInfos = null;
        this.protocolRouteInfos = null;
        this.json = "";
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.count);
        parcel.writeString(this.startPOIName);
        parcel.writeString(this.startPOIAddr);
        parcel.writeDouble(this.startPOILongitude);
        parcel.writeDouble(this.startPOILatitude);
        parcel.writeString(this.endPOIName);
        parcel.writeString(this.endPOIAddr);
        parcel.writeDouble(this.endPOILongitude);
        parcel.writeDouble(this.endPOILatitude);
        parcel.writeDouble(this.arrivePOILongitude);
        parcel.writeDouble(this.arrivePOILatitude);
        parcel.writeInt(this.viaNumbers);
        parcel.writeInt(this.routePreference);
        parcel.writeTypedList(this.protocolViaPOIInfos);
        parcel.writeTypedList(this.protocolRouteInfos);
        parcel.writeString(this.json);
    }

    protected RouteInfoModel(Parcel parcel) {
        super(parcel);
        this.startPOIName = "";
        this.startPOIAddr = "";
        this.endPOIName = "";
        this.endPOIAddr = "";
        this.json = "";
        this.count = parcel.readInt();
        this.startPOIName = parcel.readString();
        this.startPOIAddr = parcel.readString();
        this.startPOILongitude = parcel.readDouble();
        this.startPOILatitude = parcel.readDouble();
        this.endPOIName = parcel.readString();
        this.endPOIAddr = parcel.readString();
        this.endPOILongitude = parcel.readDouble();
        this.endPOILatitude = parcel.readDouble();
        this.arrivePOILongitude = parcel.readDouble();
        this.arrivePOILatitude = parcel.readDouble();
        this.viaNumbers = parcel.readInt();
        this.routePreference = parcel.readInt();
        this.protocolViaPOIInfos = parcel.createTypedArrayList(ProtocolViaPOIInfo.CREATOR);
        this.protocolRouteInfos = parcel.createTypedArrayList(ProtocolRouteInfo.CREATOR);
        this.json = parcel.readString();
    }
}
