package com.autonavi.amapauto.protocol.model.service.user;

import android.os.Parcel;
import android.os.Parcelable;
import com.autonavi.amapauto.protocol.constant.ProtocolID;
import com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel;
import com.autonavi.amapauto.protocol.model.item.FavoritePoiInfo;
import java.util.ArrayList;
/* loaded from: classes.dex */
public class FavoritePoiModel extends ProtocolBaseModel {
    public static final Parcelable.Creator<FavoritePoiModel> CREATOR = new Parcelable.Creator<FavoritePoiModel>() { // from class: com.autonavi.amapauto.protocol.model.service.user.FavoritePoiModel.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public FavoritePoiModel createFromParcel(Parcel parcel) {
            return new FavoritePoiModel(parcel);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public FavoritePoiModel[] newArray(int i) {
            return new FavoritePoiModel[i];
        }
    };
    private static final String version = "1.0";
    private ArrayList<FavoritePoiInfo> protocolFavPoiInfos;

    public FavoritePoiModel() {
        setProtocolID(ProtocolID.PROTOCOL_GET_FAVORITE_POI);
        setProtocolVersion(version);
    }

    public static String getVersion() {
        return version;
    }

    public ArrayList<FavoritePoiInfo> getProtocolFavPoiInfos() {
        return this.protocolFavPoiInfos;
    }

    public void setProtocolFavPoiInfos(ArrayList<FavoritePoiInfo> arrayList) {
        this.protocolFavPoiInfos = arrayList;
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    @Override // com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel, android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeTypedList(this.protocolFavPoiInfos);
    }

    protected FavoritePoiModel(Parcel parcel) {
        super(parcel);
        this.protocolFavPoiInfos = parcel.createTypedArrayList(FavoritePoiInfo.CREATOR);
    }
}
