package com.ecarx.tip.dialog.base.rv;

import android.support.annotation.IdRes;
import android.support.v7.widget.RecyclerView;
import android.util.SparseArray;
import android.view.View;
/* loaded from: classes.dex */
public class BaseViewHolder extends RecyclerView.ViewHolder {
    private SparseArray<View> viewArray;

    public BaseViewHolder(View view) {
        super(view);
        this.viewArray = new SparseArray<>();
    }

    public <T extends View> T getView(@IdRes int i) {
        T t = (T) this.viewArray.get(i);
        if (t == null) {
            T t2 = (T) this.itemView.findViewById(i);
            this.viewArray.put(i, t2);
            return t2;
        }
        return t;
    }
}
