package com.ecarx.tip.dialog.list.adapter;

import android.support.annotation.LayoutRes;
import android.view.View;
import android.widget.TextView;
import com.ecarx.tip.R;
import com.ecarx.tip.dialog.base.rv.BaseViewHolder;
import com.ecarx.tip.dialog.base.rv.adapter.SingleAdapter;
import com.ecarx.tip.dialog.list.bean.CheckBean;
import com.ecarx.tip.util.Utils;
import java.util.List;
/* loaded from: classes.dex */
public class SelectItemsAdapter extends SingleAdapter<CheckBean> {
    public SelectItemsAdapter(List<CheckBean> list, @LayoutRes int i) {
        super(list, i);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.ecarx.tip.dialog.base.rv.adapter.BaseAdapter
    public void bind(BaseViewHolder baseViewHolder, CheckBean checkBean) {
        View view = baseViewHolder.getView(R.id.view_checked);
        view.setBackground(Utils.getDrawableFromVector(R.drawable.tip2_ic_vector_done));
        TextView textView = (TextView) baseViewHolder.getView(R.id.tv_item_name);
        if (checkBean.isChecked()) {
            view.setVisibility(0);
            textView.setTextColor(Utils.getColor(R.color.ecarx_theme_main_color));
            textView.setAlpha(1.0f);
        } else {
            view.setVisibility(4);
            textView.setTextColor(Utils.getColor(R.color.dark_white));
            textView.setAlpha(0.8f);
        }
        textView.setText(checkBean.getItemName());
    }
}
