package com.ecarx.tip.dialog.list.divider;

import android.annotation.SuppressLint;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.support.annotation.DrawableRes;
import android.support.annotation.NonNull;
import android.support.v4.view.ViewCompat;
import android.support.v7.widget.RecyclerView;
import android.view.View;
import com.ecarx.tip.R;
import com.ecarx.tip.dialog.base.rv.RecycleViewDivider;
import com.ecarx.tip.util.Utils;
/* loaded from: classes.dex */
public class SelectDivider extends RecycleViewDivider {
    public SelectDivider(Context context, int i, @DrawableRes int i2) {
        super(context, i, i2);
    }

    public SelectDivider(Context context, int i, @NonNull Drawable drawable) {
        super(context, i, drawable);
    }

    @Override // com.ecarx.tip.dialog.base.rv.RecycleViewDivider
    public void onDraw(Canvas canvas, RecyclerView recyclerView, RecyclerView.State state) {
        if (recyclerView.getLayoutManager() != null) {
            if (this.mOrientation == 1) {
                drawVertical(canvas, recyclerView);
            } else {
                drawHorizontal(canvas, recyclerView);
            }
        }
    }

    @Override // com.ecarx.tip.dialog.base.rv.RecycleViewDivider
    @SuppressLint({"NewApi"})
    protected void drawVertical(Canvas canvas, RecyclerView recyclerView) {
        canvas.save();
        int pixel = Utils.getPixel(R.dimen.spacing_32);
        int width = recyclerView.getWidth() - pixel;
        int childCount = recyclerView.getChildCount() - 1;
        for (int i = 0; i < childCount; i++) {
            View childAt = recyclerView.getChildAt(i);
            recyclerView.getDecoratedBoundsWithMargins(childAt, this.mBounds);
            int round = Math.round(ViewCompat.getTranslationY(childAt)) + this.mBounds.bottom;
            this.mDivider.setBounds(pixel, round - this.mDivider.getIntrinsicHeight(), width, round);
            this.mDivider.draw(canvas);
        }
        canvas.restore();
    }
}
