package com.ecarx.tip.toast;

import android.os.Handler;
import android.os.Looper;
import android.support.annotation.NonNull;
import android.support.annotation.StringRes;
import android.widget.TextView;
import com.ecarx.tip.R;
import com.ecarx.tip.XCTip;
import com.ecarx.tip.util.ToastUtils;
import com.ecarx.tip.util.Utils;
/* loaded from: classes.dex */
public class XCToast {
    private static final Handler HANDLER = new Handler(Looper.getMainLooper());

    private XCToast() {
        throw new UnsupportedOperationException("u can't instantiate me...");
    }

    public static void showShort(@NonNull CharSequence charSequence) {
        show(charSequence, 0);
    }

    public static void showShort(@StringRes int i) {
        show(i, 0);
    }

    public static void showShort(@StringRes int i, Object... objArr) {
        show(i, 0, objArr);
    }

    public static void showShort(String str, Object... objArr) {
        show(str, 0, objArr);
    }

    public static void showLong(@NonNull CharSequence charSequence) {
        show(charSequence, 1);
    }

    public static void showLong(@StringRes int i) {
        show(i, 1);
    }

    public static void showLong(@StringRes int i, Object... objArr) {
        show(i, 1, objArr);
    }

    public static void showLong(String str, Object... objArr) {
        show(str, 1, objArr);
    }

    private static void show(@StringRes int i, int i2) {
        show(XCTip.getApp().getResources().getString(i), i2);
    }

    private static void show(@StringRes int i, int i2, Object... objArr) {
        show(String.format(XCTip.getApp().getResources().getString(i), objArr), i2);
    }

    private static void show(String str, int i, Object... objArr) {
        show(String.format(str, objArr), i);
    }

    private static void show(final CharSequence charSequence, final int i) {
        HANDLER.post(new Runnable() { // from class: com.ecarx.tip.toast.XCToast.1
            @Override // java.lang.Runnable
            public void run() {
                TextView textView;
                if (i == 0) {
                    textView = (TextView) ToastUtils.showCustomShort(R.layout.tip2_toast);
                } else {
                    textView = (TextView) ToastUtils.showCustomLong(R.layout.tip2_toast);
                }
                textView.setText(charSequence);
                Utils.logW("belongs to " + XCTip.getApp().getPackageName());
            }
        });
    }

    public static void cancel() {
        ToastUtils.cancel();
    }
}
