package com.ecarx.tip.util;

import android.graphics.Point;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.support.annotation.ColorRes;
import android.support.annotation.DimenRes;
import android.support.annotation.DrawableRes;
import android.support.annotation.Nullable;
import android.support.annotation.StringRes;
import android.support.v4.content.ContextCompat;
import android.support.v4.graphics.drawable.DrawableCompat;
import android.util.Log;
import android.view.WindowManager;
import com.ecarx.tip.R;
import com.ecarx.tip.XCTip;
/* loaded from: classes.dex */
public class Utils {
    public static boolean isEmpty(@Nullable CharSequence charSequence) {
        return charSequence == null || charSequence.length() == 0;
    }

    public static int getScreenWidth() {
        WindowManager windowManager = (WindowManager) XCTip.getApp().getSystemService("window");
        if (windowManager == null) {
            return XCTip.getApp().getResources().getDisplayMetrics().widthPixels;
        }
        Point point = new Point();
        if (Build.VERSION.SDK_INT >= 17) {
            windowManager.getDefaultDisplay().getRealSize(point);
        } else {
            windowManager.getDefaultDisplay().getSize(point);
        }
        return point.x;
    }

    public static int getScreenHeight() {
        WindowManager windowManager = (WindowManager) XCTip.getApp().getSystemService("window");
        if (windowManager == null) {
            return XCTip.getApp().getResources().getDisplayMetrics().heightPixels;
        }
        Point point = new Point();
        if (Build.VERSION.SDK_INT >= 17) {
            windowManager.getDefaultDisplay().getRealSize(point);
        } else {
            windowManager.getDefaultDisplay().getSize(point);
        }
        return point.y;
    }

    public static float getDimension(@DimenRes int i) {
        return XCTip.getApp().getResources().getDimension(i);
    }

    public static int getPixel(@DimenRes int i) {
        return XCTip.getApp().getResources().getDimensionPixelSize(i);
    }

    public static int getColor(@ColorRes int i) {
        return XCTip.getApp().getResources().getColor(i);
    }

    public static String getString(@StringRes int i) {
        return XCTip.getApp().getResources().getString(i);
    }

    public static Drawable getDrawableFromVector(@DrawableRes int i) {
        return getDrawableFromVector(i, false);
    }

    public static Drawable getDrawableFromVector(@DrawableRes int i, boolean z) {
        Drawable drawable = ContextCompat.getDrawable(XCTip.getApp(), i);
        if (Build.VERSION.SDK_INT < 21) {
            drawable = DrawableCompat.wrap(drawable).mutate();
        }
        if (z) {
            DrawableCompat.setTint(drawable, ContextCompat.getColor(XCTip.getApp(), R.color.ecarx_theme_main_color));
        }
        return drawable;
    }

    public static void logW(String str) {
        Log.w("XCTip", str);
    }
}
