package ecarx.locationservice;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
/* loaded from: classes.dex */
public interface ILocation extends IInterface {
    float getAccuracy();

    String getAdCode();

    String getAddress();

    double getAltitude();

    String getAoiName();

    float getBearing();

    String getCity();

    String getCityCode();

    String getCountry();

    String getDistrict();

    int getErrorCode();

    String getErrorInfo();

    int getGpsAccuracyStatus();

    double getLatitude();

    String getLocationDetail();

    int getLocationType();

    double getLongitude();

    String getPoiName();

    String getProvince();

    float getSpeed();

    String getStreet();

    String getStreetNum();

    /* loaded from: classes.dex */
    public abstract class Stub extends Binder implements ILocation {
        private static final String DESCRIPTOR = "ecarx.locationservice.ILocation";
        static final int TRANSACTION_getAccuracy = 3;
        static final int TRANSACTION_getAdCode = 15;
        static final int TRANSACTION_getAddress = 7;
        static final int TRANSACTION_getAltitude = 4;
        static final int TRANSACTION_getAoiName = 17;
        static final int TRANSACTION_getBearing = 6;
        static final int TRANSACTION_getCity = 10;
        static final int TRANSACTION_getCityCode = 14;
        static final int TRANSACTION_getCountry = 8;
        static final int TRANSACTION_getDistrict = 11;
        static final int TRANSACTION_getErrorCode = 22;
        static final int TRANSACTION_getErrorInfo = 21;
        static final int TRANSACTION_getGpsAccuracyStatus = 18;
        static final int TRANSACTION_getLatitude = 1;
        static final int TRANSACTION_getLocationDetail = 20;
        static final int TRANSACTION_getLocationType = 19;
        static final int TRANSACTION_getLongitude = 2;
        static final int TRANSACTION_getPoiName = 16;
        static final int TRANSACTION_getProvince = 9;
        static final int TRANSACTION_getSpeed = 5;
        static final int TRANSACTION_getStreet = 12;
        static final int TRANSACTION_getStreetNum = 13;

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ILocation asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface != null && (queryLocalInterface instanceof ILocation)) {
                return (ILocation) queryLocalInterface;
            }
            return new a(iBinder);
        }

        @Override // android.os.IInterface
        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) {
            switch (i) {
                case 1:
                    parcel.enforceInterface(DESCRIPTOR);
                    double latitude = getLatitude();
                    parcel2.writeNoException();
                    parcel2.writeDouble(latitude);
                    return true;
                case 2:
                    parcel.enforceInterface(DESCRIPTOR);
                    double longitude = getLongitude();
                    parcel2.writeNoException();
                    parcel2.writeDouble(longitude);
                    return true;
                case 3:
                    parcel.enforceInterface(DESCRIPTOR);
                    float accuracy = getAccuracy();
                    parcel2.writeNoException();
                    parcel2.writeFloat(accuracy);
                    return true;
                case 4:
                    parcel.enforceInterface(DESCRIPTOR);
                    double altitude = getAltitude();
                    parcel2.writeNoException();
                    parcel2.writeDouble(altitude);
                    return true;
                case 5:
                    parcel.enforceInterface(DESCRIPTOR);
                    float speed = getSpeed();
                    parcel2.writeNoException();
                    parcel2.writeFloat(speed);
                    return true;
                case 6:
                    parcel.enforceInterface(DESCRIPTOR);
                    float bearing = getBearing();
                    parcel2.writeNoException();
                    parcel2.writeFloat(bearing);
                    return true;
                case 7:
                    parcel.enforceInterface(DESCRIPTOR);
                    String address = getAddress();
                    parcel2.writeNoException();
                    parcel2.writeString(address);
                    return true;
                case 8:
                    parcel.enforceInterface(DESCRIPTOR);
                    String country = getCountry();
                    parcel2.writeNoException();
                    parcel2.writeString(country);
                    return true;
                case 9:
                    parcel.enforceInterface(DESCRIPTOR);
                    String province = getProvince();
                    parcel2.writeNoException();
                    parcel2.writeString(province);
                    return true;
                case 10:
                    parcel.enforceInterface(DESCRIPTOR);
                    String city = getCity();
                    parcel2.writeNoException();
                    parcel2.writeString(city);
                    return true;
                case 11:
                    parcel.enforceInterface(DESCRIPTOR);
                    String district = getDistrict();
                    parcel2.writeNoException();
                    parcel2.writeString(district);
                    return true;
                case 12:
                    parcel.enforceInterface(DESCRIPTOR);
                    String street = getStreet();
                    parcel2.writeNoException();
                    parcel2.writeString(street);
                    return true;
                case 13:
                    parcel.enforceInterface(DESCRIPTOR);
                    String streetNum = getStreetNum();
                    parcel2.writeNoException();
                    parcel2.writeString(streetNum);
                    return true;
                case 14:
                    parcel.enforceInterface(DESCRIPTOR);
                    String cityCode = getCityCode();
                    parcel2.writeNoException();
                    parcel2.writeString(cityCode);
                    return true;
                case 15:
                    parcel.enforceInterface(DESCRIPTOR);
                    String adCode = getAdCode();
                    parcel2.writeNoException();
                    parcel2.writeString(adCode);
                    return true;
                case 16:
                    parcel.enforceInterface(DESCRIPTOR);
                    String poiName = getPoiName();
                    parcel2.writeNoException();
                    parcel2.writeString(poiName);
                    return true;
                case 17:
                    parcel.enforceInterface(DESCRIPTOR);
                    String aoiName = getAoiName();
                    parcel2.writeNoException();
                    parcel2.writeString(aoiName);
                    return true;
                case 18:
                    parcel.enforceInterface(DESCRIPTOR);
                    int gpsAccuracyStatus = getGpsAccuracyStatus();
                    parcel2.writeNoException();
                    parcel2.writeInt(gpsAccuracyStatus);
                    return true;
                case 19:
                    parcel.enforceInterface(DESCRIPTOR);
                    int locationType = getLocationType();
                    parcel2.writeNoException();
                    parcel2.writeInt(locationType);
                    return true;
                case 20:
                    parcel.enforceInterface(DESCRIPTOR);
                    String locationDetail = getLocationDetail();
                    parcel2.writeNoException();
                    parcel2.writeString(locationDetail);
                    return true;
                case 21:
                    parcel.enforceInterface(DESCRIPTOR);
                    String errorInfo = getErrorInfo();
                    parcel2.writeNoException();
                    parcel2.writeString(errorInfo);
                    return true;
                case 22:
                    parcel.enforceInterface(DESCRIPTOR);
                    int errorCode = getErrorCode();
                    parcel2.writeNoException();
                    parcel2.writeInt(errorCode);
                    return true;
                case 1598968902:
                    parcel2.writeString(DESCRIPTOR);
                    return true;
                default:
                    return super.onTransact(i, parcel, parcel2, i2);
            }
        }
    }
}
