package ecarx.locationservice;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import ecarx.locationservice.ILocation;
/* loaded from: classes.dex */
public interface ILocationObserver extends IInterface {
    void onCityChanged(ILocation iLocation);

    void onDistrictChanged(ILocation iLocation);

    void onLocation(ILocation iLocation);

    /* loaded from: classes.dex */
    public abstract class Stub extends Binder implements ILocationObserver {
        private static final String DESCRIPTOR = "ecarx.locationservice.ILocationObserver";
        static final int TRANSACTION_onCityChanged = 2;
        static final int TRANSACTION_onDistrictChanged = 3;
        static final int TRANSACTION_onLocation = 1;

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ILocationObserver asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface != null && (queryLocalInterface instanceof ILocationObserver)) {
                return (ILocationObserver) queryLocalInterface;
            }
            return new b(iBinder);
        }

        @Override // android.os.IInterface
        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) {
            switch (i) {
                case 1:
                    parcel.enforceInterface(DESCRIPTOR);
                    onLocation(ILocation.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    return true;
                case 2:
                    parcel.enforceInterface(DESCRIPTOR);
                    onCityChanged(ILocation.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    return true;
                case 3:
                    parcel.enforceInterface(DESCRIPTOR);
                    onDistrictChanged(ILocation.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    return true;
                case 1598968902:
                    parcel2.writeString(DESCRIPTOR);
                    return true;
                default:
                    return super.onTransact(i, parcel, parcel2, i2);
            }
        }
    }
}
