package ecarx.locationservice;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import ecarx.locationservice.ILocationObserver;
/* loaded from: classes.dex */
public interface ILocationService extends IInterface {
    boolean attachLocationObserver(ILocationObserver iLocationObserver);

    boolean detachLocationObserver(ILocationObserver iLocationObserver);

    ILocation getLastKnownLocation();

    /* loaded from: classes.dex */
    public abstract class Stub extends Binder implements ILocationService {
        private static final String DESCRIPTOR = "ecarx.locationservice.ILocationService";
        static final int TRANSACTION_attachLocationObserver = 2;
        static final int TRANSACTION_detachLocationObserver = 3;
        static final int TRANSACTION_getLastKnownLocation = 1;

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ILocationService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface != null && (queryLocalInterface instanceof ILocationService)) {
                return (ILocationService) queryLocalInterface;
            }
            return new c(iBinder);
        }

        @Override // android.os.IInterface
        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) {
            switch (i) {
                case 1:
                    parcel.enforceInterface(DESCRIPTOR);
                    ILocation lastKnownLocation = getLastKnownLocation();
                    parcel2.writeNoException();
                    parcel2.writeStrongBinder(lastKnownLocation != null ? lastKnownLocation.asBinder() : null);
                    return true;
                case 2:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean attachLocationObserver = attachLocationObserver(ILocationObserver.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    parcel2.writeInt(attachLocationObserver ? 1 : 0);
                    return true;
                case 3:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean detachLocationObserver = detachLocationObserver(ILocationObserver.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    parcel2.writeInt(detachLocationObserver ? 1 : 0);
                    return true;
                case 1598968902:
                    parcel2.writeString(DESCRIPTOR);
                    return true;
                default:
                    return super.onTransact(i, parcel, parcel2, i2);
            }
        }
    }
}
