package ecarx.naviservice;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
/* loaded from: classes.dex */
public interface INaviInfo extends IInterface {
    double getLatitude();

    double getLongitude();

    String getMessageID();

    String getSender();

    String getTitle();

    /* loaded from: classes.dex */
    public abstract class Stub extends Binder implements INaviInfo {
        private static final String DESCRIPTOR = "ecarx.naviservice.INaviInfo";
        static final int TRANSACTION_getLatitude = 4;
        static final int TRANSACTION_getLongitude = 5;
        static final int TRANSACTION_getMessageID = 1;
        static final int TRANSACTION_getSender = 2;
        static final int TRANSACTION_getTitle = 3;

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static INaviInfo asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface != null && (queryLocalInterface instanceof INaviInfo)) {
                return (INaviInfo) queryLocalInterface;
            }
            return new a(iBinder);
        }

        @Override // android.os.IInterface
        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) {
            switch (i) {
                case 1:
                    parcel.enforceInterface(DESCRIPTOR);
                    String messageID = getMessageID();
                    parcel2.writeNoException();
                    parcel2.writeString(messageID);
                    return true;
                case 2:
                    parcel.enforceInterface(DESCRIPTOR);
                    String sender = getSender();
                    parcel2.writeNoException();
                    parcel2.writeString(sender);
                    return true;
                case 3:
                    parcel.enforceInterface(DESCRIPTOR);
                    String title = getTitle();
                    parcel2.writeNoException();
                    parcel2.writeString(title);
                    return true;
                case 4:
                    parcel.enforceInterface(DESCRIPTOR);
                    double latitude = getLatitude();
                    parcel2.writeNoException();
                    parcel2.writeDouble(latitude);
                    return true;
                case 5:
                    parcel.enforceInterface(DESCRIPTOR);
                    double longitude = getLongitude();
                    parcel2.writeNoException();
                    parcel2.writeDouble(longitude);
                    return true;
                case 1598968902:
                    parcel2.writeString(DESCRIPTOR);
                    return true;
                default:
                    return super.onTransact(i, parcel, parcel2, i2);
            }
        }
    }
}
