package ecarx.naviservice;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import ecarx.locationservice.ILocationService;
import ecarx.naviservice.INaviInfo;
import ecarx.naviservice.INaviObserver;
/* loaded from: classes.dex */
public interface INaviServer extends IInterface {
    String getLocationRoadInfo();

    ILocationService getLocationService();

    boolean goCompany();

    boolean goHome();

    boolean muteNaviAudio();

    boolean naviTo(String str);

    boolean naviToByNaviInfo(INaviInfo iNaviInfo);

    boolean registerNaviObserver(INaviObserver iNaviObserver);

    boolean searchNearby(String str, double d, double d2);

    boolean stopNavi();

    boolean unmuteNaviAudio();

    boolean unregisterNaviObserver(INaviObserver iNaviObserver);

    /* loaded from: classes.dex */
    public abstract class Stub extends Binder implements INaviServer {
        private static final String DESCRIPTOR = "ecarx.naviservice.INaviServer";
        static final int TRANSACTION_getLocationRoadInfo = 11;
        static final int TRANSACTION_getLocationService = 12;
        static final int TRANSACTION_goCompany = 6;
        static final int TRANSACTION_goHome = 5;
        static final int TRANSACTION_muteNaviAudio = 3;
        static final int TRANSACTION_naviTo = 9;
        static final int TRANSACTION_naviToByNaviInfo = 10;
        static final int TRANSACTION_registerNaviObserver = 1;
        static final int TRANSACTION_searchNearby = 7;
        static final int TRANSACTION_stopNavi = 8;
        static final int TRANSACTION_unmuteNaviAudio = 4;
        static final int TRANSACTION_unregisterNaviObserver = 2;

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static INaviServer asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface != null && (queryLocalInterface instanceof INaviServer)) {
                return (INaviServer) queryLocalInterface;
            }
            return new c(iBinder);
        }

        @Override // android.os.IInterface
        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) {
            switch (i) {
                case 1:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean registerNaviObserver = registerNaviObserver(INaviObserver.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    parcel2.writeInt(registerNaviObserver ? 1 : 0);
                    return true;
                case 2:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean unregisterNaviObserver = unregisterNaviObserver(INaviObserver.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    parcel2.writeInt(unregisterNaviObserver ? 1 : 0);
                    return true;
                case 3:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean muteNaviAudio = muteNaviAudio();
                    parcel2.writeNoException();
                    parcel2.writeInt(muteNaviAudio ? 1 : 0);
                    return true;
                case 4:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean unmuteNaviAudio = unmuteNaviAudio();
                    parcel2.writeNoException();
                    parcel2.writeInt(unmuteNaviAudio ? 1 : 0);
                    return true;
                case 5:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean goHome = goHome();
                    parcel2.writeNoException();
                    parcel2.writeInt(goHome ? 1 : 0);
                    return true;
                case 6:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean goCompany = goCompany();
                    parcel2.writeNoException();
                    parcel2.writeInt(goCompany ? 1 : 0);
                    return true;
                case 7:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean searchNearby = searchNearby(parcel.readString(), parcel.readDouble(), parcel.readDouble());
                    parcel2.writeNoException();
                    parcel2.writeInt(searchNearby ? 1 : 0);
                    return true;
                case 8:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean stopNavi = stopNavi();
                    parcel2.writeNoException();
                    parcel2.writeInt(stopNavi ? 1 : 0);
                    return true;
                case 9:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean naviTo = naviTo(parcel.readString());
                    parcel2.writeNoException();
                    parcel2.writeInt(naviTo ? 1 : 0);
                    return true;
                case 10:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean naviToByNaviInfo = naviToByNaviInfo(INaviInfo.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    parcel2.writeInt(naviToByNaviInfo ? 1 : 0);
                    return true;
                case 11:
                    parcel.enforceInterface(DESCRIPTOR);
                    String locationRoadInfo = getLocationRoadInfo();
                    parcel2.writeNoException();
                    parcel2.writeString(locationRoadInfo);
                    return true;
                case 12:
                    parcel.enforceInterface(DESCRIPTOR);
                    ILocationService locationService = getLocationService();
                    parcel2.writeNoException();
                    parcel2.writeStrongBinder(locationService != null ? locationService.asBinder() : null);
                    return true;
                case 1598968902:
                    parcel2.writeString(DESCRIPTOR);
                    return true;
                default:
                    return super.onTransact(i, parcel, parcel2, i2);
            }
        }
    }
}
