package ecarx.naviservice.common;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.ResolveInfo;
import android.os.Build;
import android.text.TextUtils;
import com.google.gson.stream.JsonReader;
import ecarx.naviservice.NaviApp;
import ecarx.naviservice.entity.NaviParkPayInfo;
import java.io.IOException;
import java.io.StringReader;
import java.text.DecimalFormat;
import java.util.List;
/* loaded from: classes.dex */
public class ah {
    public static Intent a(Context context, Intent intent) {
        List<ResolveInfo> queryIntentServices = context.getPackageManager().queryIntentServices(intent, 0);
        if (queryIntentServices == null || queryIntentServices.size() != 1) {
            return null;
        }
        ResolveInfo resolveInfo = queryIntentServices.get(0);
        ComponentName componentName = new ComponentName(resolveInfo.serviceInfo.packageName, resolveInfo.serviceInfo.name);
        Intent intent2 = new Intent(intent);
        intent2.setComponent(componentName);
        return intent2;
    }

    public static double a(String str, double d) {
        if (!TextUtils.isEmpty(str)) {
            try {
                return Double.valueOf(str).doubleValue();
            } catch (NumberFormatException e) {
                e.printStackTrace();
                return d;
            }
        }
        return d;
    }

    public static String a(int i) {
        try {
            String format = new DecimalFormat("##0.0").format(i / 1000.0f);
            if (format.endsWith(".0")) {
                return format.substring(0, format.indexOf("."));
            }
            return format;
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }

    public static boolean a(String... strArr) {
        for (String str : strArr) {
            if (str.equalsIgnoreCase(Build.PRODUCT)) {
                return true;
            }
        }
        return false;
    }

    public static NaviParkPayInfo a(String str) {
        NaviParkPayInfo naviParkPayInfo = new NaviParkPayInfo();
        JsonReader jsonReader = new JsonReader(new StringReader(str));
        try {
            try {
                jsonReader.beginObject();
                while (jsonReader.hasNext()) {
                    String nextName = jsonReader.nextName();
                    char c = 65535;
                    switch (nextName.hashCode()) {
                        case -1918968964:
                            if (nextName.equals("noPassword")) {
                                c = 7;
                                break;
                            }
                            break;
                        case -1746250869:
                            if (nextName.equals("parkDurationTime")) {
                                c = '\b';
                                break;
                            }
                            break;
                        case -1499703785:
                            if (nextName.equals("freeParkDurationTime")) {
                                c = '\t';
                                break;
                            }
                            break;
                        case -858021435:
                            if (nextName.equals("enterTime")) {
                                c = '\n';
                                break;
                            }
                            break;
                        case -849919582:
                            if (nextName.equals("totalFee")) {
                                c = 4;
                                break;
                            }
                            break;
                        case -801755878:
                            if (nextName.equals("paidFee")) {
                                c = 6;
                                break;
                            }
                            break;
                        case 109254796:
                            if (nextName.equals("scene")) {
                                c = 2;
                                break;
                            }
                            break;
                        case 110371416:
                            if (nextName.equals("title")) {
                                c = 1;
                                break;
                            }
                            break;
                        case 241352511:
                            if (nextName.equals("button1")) {
                                c = 11;
                                break;
                            }
                            break;
                        case 241352512:
                            if (nextName.equals("button2")) {
                                c = '\f';
                                break;
                            }
                            break;
                        case 910045281:
                            if (nextName.equals("unpaidFee")) {
                                c = 5;
                                break;
                            }
                            break;
                        case 951530617:
                            if (nextName.equals("content")) {
                                c = 0;
                                break;
                            }
                            break;
                        case 1179733397:
                            if (nextName.equals("parkName")) {
                                c = 3;
                                break;
                            }
                            break;
                    }
                    switch (c) {
                        case 0:
                            naviParkPayInfo.a(jsonReader.nextString());
                            break;
                        case 1:
                            naviParkPayInfo.b(jsonReader.nextString());
                            break;
                        case 2:
                            naviParkPayInfo.a(jsonReader.nextInt());
                            break;
                        case 3:
                            naviParkPayInfo.c(jsonReader.nextString());
                            break;
                        case 4:
                            naviParkPayInfo.a(jsonReader.nextDouble());
                            break;
                        case 5:
                            naviParkPayInfo.b(jsonReader.nextDouble());
                            break;
                        case 6:
                            naviParkPayInfo.c(jsonReader.nextDouble());
                            break;
                        case 7:
                            naviParkPayInfo.a(jsonReader.nextBoolean());
                            break;
                        case '\b':
                            naviParkPayInfo.b(jsonReader.nextInt());
                            break;
                        case '\t':
                            naviParkPayInfo.c(jsonReader.nextInt());
                            break;
                        case '\n':
                            naviParkPayInfo.a(jsonReader.nextLong());
                            break;
                        case 11:
                            naviParkPayInfo.d(jsonReader.nextString());
                            break;
                        case '\f':
                            naviParkPayInfo.e(jsonReader.nextString());
                            break;
                    }
                }
                jsonReader.endObject();
                aa.c("Utils", String.format("parseParkPayInfoJson end %s", naviParkPayInfo.toString()));
            } catch (IOException e) {
                e.printStackTrace();
                aa.c("Utils", String.format("parseParkPayInfoJson end %s", naviParkPayInfo.toString()));
            }
            return naviParkPayInfo;
        } catch (Throwable th) {
            aa.c("Utils", String.format("parseParkPayInfoJson end %s", naviParkPayInfo.toString()));
            throw th;
        }
    }

    public static boolean b(String str) {
        for (ApplicationInfo applicationInfo : NaviApp.b().getPackageManager().getInstalledApplications(0)) {
            if (applicationInfo.packageName.equals(str)) {
                aa.c("Utils", String.format("%s exists", str));
                return true;
            }
        }
        return false;
    }

    public static String a() {
        try {
            String str = NaviApp.b().getPackageManager().getPackageInfo("com.autonavi.amapauto", 0).versionName;
            aa.c("Utils", String.format("package versionName:%s", str));
            return str;
        } catch (Exception e) {
            e.printStackTrace();
            return "应用可能未安装，请检查";
        }
    }

    public static boolean b() {
        return b("com.autonavi.amapauto") && a().startsWith("2.");
    }
}
