package ecarx.naviservice.service;

import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.ServiceConnection;
import android.os.Bundle;
import android.os.Handler;
import android.os.IBinder;
import android.os.RemoteCallbackList;
import android.text.TextUtils;
import com.autonavi.amapauto.protocol.constant.ProtocolID;
import com.autonavi.amapauto.protocol.constant.ProtocolResultCode;
import com.autonavi.amapauto.protocol.model.base.ProtocolBaseModel;
import com.autonavi.amapauto.protocol.model.service.GuideInfoModel;
import com.autonavi.amapauto.protocol.model.service.ProtocolAutoStatusModel;
import com.ecarx.sdk.vrcontrol.tip.VrTipCtrlAPI;
import com.ecarx.xui.adaptapi.device.Device;
import com.ecarx.xui.adaptapi.tbox.TBox;
import com.ecarx.xui.adaptapi.tbox.tboxmessager.ITBoxMessager;
import com.ecarx.xui.adaptapi.vehicle.Vehicle;
import com.ecarx.xui.adaptapi.vehicle.dashboard.IDashboard;
import ecarx.locationservice.LocService;
import ecarx.naviservice.DisplayInfoActivity;
import ecarx.naviservice.INaviObserver;
import ecarx.naviservice.INaviServer;
import ecarx.naviservice.NaviApp;
import ecarx.naviservice.common.aa;
import ecarx.naviservice.common.ah;
import ecarx.naviservice.entity.NaviDestinationInfo;
import ecarx.naviservice.entity.NaviParkPayInfo;
import ecarx.naviservice.entity.NaviSendToCarInfo;
import ecarx.naviservice.http.vo.LastMileNaviBean;
import ecarx.tspmsgdispatcher.ITspMessageObserver;
import ecarx.tspmsgdispatcher.ITspMessageService;
import org.greenrobot.eventbus.ThreadMode;
import org.greenrobot.eventbus.r;
/* loaded from: classes.dex */
public class NaviService extends Service {
    private static NaviService b;
    private static b c;
    private static String d = null;
    private static int e = -1;
    private ecarx.naviservice.a.a f;
    private ecarx.naviservice.a.b g;
    private ITspMessageService h;
    private ITspMessageObserver i;
    private LocService o;
    private VrTipCtrlAPI p;
    private Vehicle j = null;
    private Object k = new Object();
    private RemoteCallbackList<INaviObserver> l = new RemoteCallbackList<>();
    private ITBoxMessager.TBoxMessageCallback m = new d(this);
    private IDashboard.IVehicleACCStatusObserver n = new e(this);
    private BroadcastReceiver q = new f(this);

    /* renamed from: a  reason: collision with root package name */
    INaviServer.Stub f200a = new h(this);
    private ServiceConnection r = new i(this);
    private Handler s = new j(this);

    public static NaviService a() {
        return b;
    }

    @Override // android.app.Service
    public void onCreate() {
        super.onCreate();
        synchronized (this) {
            aa.c("NaviService", String.format("onCreate ==========lock============== %s", NaviApp.b()));
            l();
        }
    }

    @Override // android.app.Service
    public IBinder onBind(Intent intent) {
        aa.c("NaviService", String.format("onBind(): Enter %s", intent));
        if ("ecarx.intent.action.NAVI_SERVICE_STARTED".equals(intent.getAction())) {
            for (String str : intent.getCategories()) {
                if ("ecarx.intent.category.NAVI".equals(str)) {
                    return this.f200a;
                }
            }
        }
        return null;
    }

    public static String b() {
        if (d == null) {
            d = Device.create(b.getApplicationContext()).getVehicleType();
        }
        return d;
    }

    public static int c() {
        if (e == -1) {
            try {
                e = Vehicle.create(b.getApplicationContext()).getAppearance().getBumperDesign();
            } catch (Throwable th) {
                th.printStackTrace();
                aa.c("NaviService", "getBumperDesign ex");
                e = 2147483637;
            }
        }
        return e;
    }

    @Override // android.app.Service
    public void onDestroy() {
        aa.c("NaviService", "onDestroy()");
        this.f.g();
        c.b();
        b = null;
        if (this.o != null) {
            this.o.onDestroy();
        }
        this.l.kill();
        unregisterReceiver(this.q);
        n();
        org.greenrobot.eventbus.c.a().b(this);
        this.j.getDashboard().detachVehicleACCStatusObserver(this.n);
        super.onDestroy();
    }

    @Override // android.app.Service
    public int onStartCommand(Intent intent, int i, int i2) {
        aa.c("NaviService", "onStartCommand");
        return 1;
    }

    @Override // android.app.Service
    public void onStart(Intent intent, int i) {
        super.onStart(intent, i);
    }

    @Override // android.app.Service
    public boolean onUnbind(Intent intent) {
        return super.onUnbind(intent);
    }

    private void l() {
        o();
        b = this;
        org.greenrobot.eventbus.c.a().a(this);
        this.o = new LocService(getApplication());
        this.i = new k(this, null);
        p();
        this.p = VrTipCtrlAPI.get(this);
        m();
        this.j = Vehicle.create(getApplicationContext());
        this.j.getDashboard().attachVehicleACCStatusObserver(this.n);
        if (ah.b()) {
        }
        a(true);
        b(true);
    }

    private void m() {
        aa.c("NaviService", "registerTBoxMessagerCallback");
        TBox.create(getApplicationContext()).getTBoxMessager().setTBoxMessageCallback(this.m, 2);
    }

    private void n() {
        aa.c("NaviService", "unregisterTBoxMessagerCallback");
        TBox.create(getApplicationContext()).getTBoxMessager().unsetTBoxMessageCallback(this.m);
    }

    private void o() {
        c = b.a(this);
        c.a();
        this.f = ecarx.naviservice.a.a.a(this);
        this.g = ecarx.naviservice.a.b.a(this);
    }

    private void p() {
        q();
        a(NaviApp.b());
    }

    public void d() {
    }

    private void q() {
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("ecarx.tspmsgdispatcher.MessageHandlerService");
        registerReceiver(this.q, intentFilter);
    }

    @r
    public void onEvent(ecarx.naviservice.entity.a.a aVar) {
        NaviParkPayInfo a2;
        if ((aVar != null) & (aVar.a() != null)) {
            Intent a3 = aVar.a();
            Bundle extras = a3.getExtras();
            if (extras != null) {
                int i = extras.getInt("KEY_TYPE");
                aa.c("NaviService", String.format("navireceiver onReceive() bundles=%s, keytype=%s", extras.toString(), Integer.valueOf(i)));
                switch (i) {
                    case ProtocolResultCode.RESULT_NETWORK_ERROR /* 10009 */:
                        this.g.a();
                        return;
                    case ProtocolResultCode.RESULT_UNSUPPORT_VIEW /* 10010 */:
                        this.g.b();
                        return;
                    case ProtocolResultCode.RESULT_ROUTE_FAIL /* 10016 */:
                        d();
                        return;
                    case ProtocolResultCode.RESULT_NO_NETWORK_NO_DATA /* 10019 */:
                        this.f.a(extras.getInt("EXTRA_STATE", -1), false);
                        return;
                    case 10050:
                        if (ecarx.naviservice.d.f191a) {
                            String string = extras.getString("EXTRA_SEND2CAR_DATA");
                            double d2 = extras.getDouble("EXTRA_DLAT");
                            double d3 = extras.getDouble("EXTRA_DLON");
                            NaviSendToCarInfo naviSendToCarInfo = new NaviSendToCarInfo(string, d2, d3);
                            aa.c("NaviService", String.format("发送到车：%s lat:%s wxLon:%s", string, Double.valueOf(d2), Double.valueOf(d3)));
                            if (d2 != 0.0d && d3 != 0.0d) {
                                ecarx.naviservice.common.h.a(this).a(268435456).a("sendtocar_info", naviSendToCarInfo).a(DisplayInfoActivity.class);
                                return;
                            }
                            return;
                        }
                        return;
                    case 10056:
                        String string2 = extras.getString("EXTRA_ROAD_INFO");
                        if (!TextUtils.isEmpty(string2)) {
                            this.f.a(string2);
                            d(string2);
                            return;
                        }
                        return;
                    case 10077:
                        String string3 = extras.getString("PROVINCE_NAME");
                        String string4 = extras.getString("CITY_NAME");
                        String string5 = extras.getString("AREA_CODE");
                        String string6 = extras.getString("COUNTRY_NAME");
                        aa.c("NaviService", String.format("省份province：%s 城市名cityName:%s 行政区域areaCode:%s 国家名countryName:%s", string3, string4, string5, string6));
                        this.o.locationDetailResp(string3, string4, string5, string6);
                        return;
                    case 10110:
                        double d4 = extras.getDouble("ENTRY_LAT");
                        double d5 = extras.getDouble("ENTRY_LON");
                        String string7 = extras.getString("EXTRA_NAME");
                        String string8 = extras.getString("EXTRA_ADDRESS");
                        LastMileNaviBean lastMileNaviBean = new LastMileNaviBean();
                        lastMileNaviBean.setAddress(string8);
                        lastMileNaviBean.setLat(d4);
                        lastMileNaviBean.setLon(d5);
                        lastMileNaviBean.setName(string7);
                        aa.c("NaviService", String.format("cache lastmile:%s", lastMileNaviBean));
                        this.f.a(lastMileNaviBean);
                        return;
                    case 13011:
                        String stringExtra = a3.getStringExtra("EXTRA_TMC_SEGMENT");
                        aa.c("NaviService", String.format("road condition:%s", stringExtra));
                        Intent b2 = b("ecarx.navi.WIDGET_ROAD_CONDITION_CHANGED");
                        b2.putExtra("road_condition_json", stringExtra);
                        startService(b2);
                        c(stringExtra);
                        return;
                    case 13012:
                        String stringExtra2 = a3.getStringExtra("EXTRA_DRIVE_WAY");
                        aa.c("NaviService", String.format("lanes_info:%s; naviState:%s", stringExtra2, Integer.valueOf(this.f.h())));
                        if (!TextUtils.isEmpty(stringExtra2)) {
                            Intent b3 = b("ecarx.navi.WIDGET_LANE_INFO_CHANGED");
                            b3.putExtra("lanes_info", stringExtra2);
                            startService(b3);
                            return;
                        }
                        return;
                    case 13013:
                        String string9 = extras.getString("EXTRA_PARK_PAY_RESULT");
                        aa.c("NaviService", String.format("parkPay result%s", string9));
                        if (!TextUtils.isEmpty(string9) && (a2 = ah.a(string9)) != null) {
                            aa.c("NaviService", "parkPay startActivity");
                            ecarx.naviservice.common.h.a(this).a(268435456).a("parkpay_info", a2).a(DisplayInfoActivity.class);
                            return;
                        }
                        return;
                    case 990001:
                        boolean booleanExtra = a3.getBooleanExtra(LocService.KEY_GPS_SIGNAL_WEAKNESS, false);
                        aa.c("NaviService", String.format("gps signal weakness ? %s", Boolean.valueOf(booleanExtra)));
                        if (booleanExtra) {
                            this.f.a(4);
                        } else {
                            this.f.b(4);
                        }
                        startService(b("ecarx.navi.GPS_SIGNAL_STATUS_CHANGED"));
                        return;
                    default:
                        return;
                }
            }
            aa.b("NaviService", "navireceiver onReceive()  extras is null");
        }
    }

    private Intent b(String str) {
        Intent intent = new Intent(getApplicationContext(), UpdateWidgetService.class);
        intent.setAction(str);
        intent.putExtra("naviState", this.f.h());
        return intent;
    }

    @r(a = ThreadMode.ASYNC)
    public void onEvent(ProtocolBaseModel protocolBaseModel) {
        if (protocolBaseModel != null) {
            int protocolID = protocolBaseModel.getProtocolID();
            aa.c("NaviService", String.format("onEvent navi sdk callback: id:%s, time:%s, cached guiding:%s", Integer.valueOf(protocolID), Long.valueOf(protocolBaseModel.getTimeStamp()), Integer.valueOf(this.f.h())));
            try {
                switch (protocolID) {
                    case ProtocolID.PROTOCOL_AUTO_STATUS /* 30200 */:
                        int autoStatus = ((ProtocolAutoStatusModel) protocolBaseModel).getAutoStatus();
                        aa.c("NaviService", String.format("导航状态(sdk)：%s", Integer.valueOf(autoStatus)));
                        if (9 == autoStatus || 17 == autoStatus) {
                            this.f.b();
                            this.f.a();
                        }
                        if (9 == autoStatus || 17 == autoStatus || 35 == autoStatus) {
                            this.g.b();
                            this.f.a((NaviDestinationInfo) null);
                            this.f.a((LastMileNaviBean) null);
                        }
                        a(autoStatus);
                        if (16 == autoStatus || 33 == autoStatus) {
                            this.g.a();
                            this.f.a((NaviDestinationInfo) null);
                            this.f.a((LastMileNaviBean) null);
                        }
                        this.f.a(autoStatus, true);
                        Intent b2 = b("ecarx.navi.UPDATE_STATUS");
                        b2.putExtra("naviStateSDK", autoStatus);
                        startService(b2);
                        return;
                    case ProtocolID.PROTOCOL_GUIDE_INFO /* 30407 */:
                        GuideInfoModel guideInfoModel = (GuideInfoModel) protocolBaseModel;
                        ecarx.naviservice.entity.a d2 = this.f.d();
                        if (guideInfoModel != null && guideInfoModel.getRouteAllDis() == 0) {
                            aa.c("NaviService", String.format("guide info routeAlldis is 0,maybe not in navi guiding,ignore :%s, ", guideInfoModel));
                            return;
                        }
                        ecarx.naviservice.entity.c a2 = ecarx.naviservice.a.c.a().a(guideInfoModel);
                        aa.c("NaviService", String.format("guide info change:naviState:%s guidinfo:%s", Integer.valueOf(this.f.h()), guideInfoModel));
                        if (d2 != null) {
                            a2.d(d2.e());
                            a2.e(d2.f());
                            a2.f(d2.a());
                            a2.g(d2.b());
                        }
                        a(a2.a(), a2.b(), a2.c(), a2.d(), a2.e(), a2.f(), a2.g(), a2.h(), a2.i(), a2.j(), a2.l(), a2.m(), a2.n(), a2.o(), a2.p(), a2.q(), a2.r(), a2.s(), a2.t(), a2.u(), a2.v(), a2.w(), a2.x(), a2.y(), a2.z(), a2.A(), a2.B(), a2.C(), a2.D(), a2.E());
                        this.g.a(a2);
                        Intent b3 = b("ecarx.navi.UPDATE_GUIDEINFO");
                        b3.putExtra("icon", a2.k());
                        b3.putExtra("distance", a2.n());
                        b3.putExtra("arrived", a2.E());
                        b3.putExtra("speedLimit", a2.s());
                        b3.putExtra("remain_distance", a2.l());
                        if (this.f.e() != null) {
                            aa.c("NaviService", String.format("guide info change: destinfo:%s", this.f.e()));
                            b3.putExtra("dest_info", this.f.e());
                        } else {
                            c.a(new g(this, b3));
                        }
                        startService(b3);
                        return;
                    default:
                        return;
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    private void a(int i, String str, String str2, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9, int i10, int i11, int i12, int i13, double d2, double d3, int i14, int i15, int i16, int i17, int i18, int i19, int i20, int i21, int i22, int i23, String str3, int i24, boolean z) {
        if (i8 == 0) {
            aa.b("NaviService", "notifyRefreshGuideInfo icon == 0");
            return;
        }
        synchronized (this.l) {
            int beginBroadcast = this.l.beginBroadcast();
            int i25 = 0;
            while (true) {
                int i26 = i25;
                if (i26 < beginBroadcast) {
                    this.l.getBroadcastItem(i26).guideInfoChange(i, str, str2, i2, i3, i4, i5, i6, i7, i8, i9, i10, i11, i12, i13, d2, d3, i14, i15, i16, i17, i18, i19, i20, i21, i22, i23, str3, i24, z);
                    i25 = i26 + 1;
                } else {
                    this.l.finishBroadcast();
                }
            }
        }
    }

    private void c(String str) {
        synchronized (this.l) {
            int beginBroadcast = this.l.beginBroadcast();
            for (int i = 0; i < beginBroadcast; i++) {
                this.l.getBroadcastItem(i).onRoadConditions(str);
            }
            this.l.finishBroadcast();
        }
    }

    private void a(int i) {
        synchronized (this.l) {
            int beginBroadcast = this.l.beginBroadcast();
            for (int i2 = 0; i2 < beginBroadcast; i2++) {
                this.l.getBroadcastItem(i2).naviStateChange(i);
            }
            this.l.finishBroadcast();
        }
    }

    private void d(String str) {
        synchronized (this.l) {
            int beginBroadcast = this.l.beginBroadcast();
            for (int i = 0; i < beginBroadcast; i++) {
                this.l.getBroadcastItem(i).onLocationRoadInfo(str);
            }
            this.l.finishBroadcast();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(Context context) {
        if (this.h == null) {
            Intent intent = new Intent("ecarx.tspmsgdispatcher.MessageHandlerService");
            intent.setPackage("ecarx.tspmsgdispatcher");
            context.bindService(intent, this.r, 0);
        }
    }

    public static boolean e() {
        if (c == null) {
            c = b.a(NaviApp.b());
        }
        if (c != null) {
            return c.c();
        }
        return false;
    }

    public static boolean f() {
        if (c == null) {
            c = b.a(NaviApp.b());
        }
        if (c != null) {
            return c.f();
        }
        return false;
    }

    public static boolean a(String str) {
        if (c == null) {
            c = b.a(NaviApp.b());
        }
        if (c != null) {
            return c.a(str, 0.0d, 0.0d);
        }
        return false;
    }

    public static void a(boolean z) {
        if (c == null) {
            c = b.a(NaviApp.b());
        }
        if (c != null) {
            c.b(z);
        }
    }

    public static void b(boolean z) {
        if (c == null) {
            c = b.a(NaviApp.b());
        }
        if (c != null) {
            c.c(z);
        }
    }

    public static void g() {
        if (c == null) {
            c = b.a(NaviApp.b());
        }
        if (c != null) {
            c.h();
        }
    }

    public static void h() {
        if (c == null) {
            c = b.a(NaviApp.b());
        }
        if (c != null) {
            c.g();
        }
    }

    public static void i() {
        if (c == null) {
            c = b.a(NaviApp.b());
        }
        if (c != null) {
            c.i();
        }
    }

    public void j() {
        this.s.sendEmptyMessageDelayed(1, 300000L);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b(int i) {
        if (1 == i) {
            LastMileNaviBean f = this.f.f();
            aa.c("NaviService", String.format("acc off, destInfo: %s", f));
            if (f != null) {
                ecarx.naviservice.common.h.a(this).a(268435456).a("lastmile_info", f).a(DisplayInfoActivity.class);
            }
        }
    }

    public boolean a(ecarx.naviservice.entity.e eVar) {
        ecarx.naviservice.common.h.a(this).a(268435456).a("sendtocar_info", new NaviSendToCarInfo(eVar.a(), eVar.b(), eVar.c())).a(DisplayInfoActivity.class);
        return true;
    }
}
