package ecarx.tspmsgdispatcher;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import ecarx.tspmsgdispatcher.ITspMessageObserver;
/* loaded from: classes.dex */
public interface ITspMessageService extends IInterface {
    boolean registerMqttMessageObserver(ITspMessageObserver iTspMessageObserver, String str);

    boolean unregisterMqttMessageObserver(ITspMessageObserver iTspMessageObserver, String str);

    /* loaded from: classes.dex */
    public abstract class Stub extends Binder implements ITspMessageService {
        private static final String DESCRIPTOR = "ecarx.tspmsgdispatcher.ITspMessageService";
        static final int TRANSACTION_registerMqttMessageObserver = 1;
        static final int TRANSACTION_unregisterMqttMessageObserver = 2;

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ITspMessageService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface != null && (queryLocalInterface instanceof ITspMessageService)) {
                return (ITspMessageService) queryLocalInterface;
            }
            return new b(iBinder);
        }

        @Override // android.os.IInterface
        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) {
            switch (i) {
                case 1:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean registerMqttMessageObserver = registerMqttMessageObserver(ITspMessageObserver.Stub.asInterface(parcel.readStrongBinder()), parcel.readString());
                    parcel2.writeNoException();
                    parcel2.writeInt(registerMqttMessageObserver ? 1 : 0);
                    return true;
                case 2:
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean unregisterMqttMessageObserver = unregisterMqttMessageObserver(ITspMessageObserver.Stub.asInterface(parcel.readStrongBinder()), parcel.readString());
                    parcel2.writeNoException();
                    parcel2.writeInt(unregisterMqttMessageObserver ? 1 : 0);
                    return true;
                case 1598968902:
                    parcel2.writeString(DESCRIPTOR);
                    return true;
                default:
                    return super.onTransact(i, parcel, parcel2, i2);
            }
        }
    }
}
