package okhttp3;

import java.security.cert.Certificate;
import java.security.cert.X509Certificate;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Set;
import javax.annotation.Nullable;
import javax.net.ssl.SSLPeerUnverifiedException;
/* loaded from: classes.dex */
public final class j {

    /* renamed from: a  reason: collision with root package name */
    public static final j f334a = new k().a();
    private final Set<l> b;
    @Nullable
    private final okhttp3.internal.g.b c;

    /* JADX INFO: Access modifiers changed from: package-private */
    public j(Set<l> set, @Nullable okhttp3.internal.g.b bVar) {
        this.b = set;
        this.c = bVar;
    }

    public boolean equals(@Nullable Object obj) {
        if (obj == this) {
            return true;
        }
        return (obj instanceof j) && okhttp3.internal.c.a(this.c, ((j) obj).c) && this.b.equals(((j) obj).b);
    }

    public int hashCode() {
        return ((this.c != null ? this.c.hashCode() : 0) * 31) + this.b.hashCode();
    }

    public void a(String str, List<Certificate> list) {
        List<l> a2 = a(str);
        if (!a2.isEmpty()) {
            if (this.c != null) {
                list = this.c.a(list, str);
            }
            int size = list.size();
            for (int i = 0; i < size; i++) {
                X509Certificate x509Certificate = (X509Certificate) list.get(i);
                int size2 = a2.size();
                int i2 = 0;
                a.k kVar = null;
                a.k kVar2 = null;
                while (i2 < size2) {
                    l lVar = a2.get(i2);
                    if (lVar.c.equals("sha256/")) {
                        if (kVar == null) {
                            kVar = b(x509Certificate);
                        }
                        if (lVar.d.equals(kVar)) {
                            return;
                        }
                    } else if (lVar.c.equals("sha1/")) {
                        if (kVar2 == null) {
                            kVar2 = a(x509Certificate);
                        }
                        if (lVar.d.equals(kVar2)) {
                            return;
                        }
                    } else {
                        throw new AssertionError();
                    }
                    i2++;
                    kVar2 = kVar2;
                    kVar = kVar;
                }
            }
            StringBuilder append = new StringBuilder().append("Certificate pinning failure!").append("\n  Peer certificate chain:");
            int size3 = list.size();
            for (int i3 = 0; i3 < size3; i3++) {
                X509Certificate x509Certificate2 = (X509Certificate) list.get(i3);
                append.append("\n    ").append(a((Certificate) x509Certificate2)).append(": ").append(x509Certificate2.getSubjectDN().getName());
            }
            append.append("\n  Pinned certificates for ").append(str).append(":");
            int size4 = a2.size();
            for (int i4 = 0; i4 < size4; i4++) {
                append.append("\n    ").append(a2.get(i4));
            }
            throw new SSLPeerUnverifiedException(append.toString());
        }
    }

    List<l> a(String str) {
        List<l> emptyList = Collections.emptyList();
        for (l lVar : this.b) {
            if (lVar.a(str)) {
                if (emptyList.isEmpty()) {
                    emptyList = new ArrayList<>();
                }
                emptyList.add(lVar);
            }
        }
        return emptyList;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public j a(okhttp3.internal.g.b bVar) {
        return okhttp3.internal.c.a(this.c, bVar) ? this : new j(this.b, bVar);
    }

    public static String a(Certificate certificate) {
        if (!(certificate instanceof X509Certificate)) {
            throw new IllegalArgumentException("Certificate pinning requires X509 certificates");
        }
        return "sha256/" + b((X509Certificate) certificate).b();
    }

    static a.k a(X509Certificate x509Certificate) {
        return a.k.a(x509Certificate.getPublicKey().getEncoded()).c();
    }

    static a.k b(X509Certificate x509Certificate) {
        return a.k.a(x509Certificate.getPublicKey().getEncoded()).d();
    }
}
