package org.greenrobot.eventbus;

import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.concurrent.ExecutorService;
import java.util.logging.Level;
/* loaded from: classes.dex */
public class c {
    static volatile c b;
    private final Map<Class<?>, CopyOnWriteArrayList<w>> e;
    private final Map<Object, List<Class<?>>> f;
    private final Map<Class<?>, Object> g;
    private final ThreadLocal<f> h;
    private final l i;
    private final q j;
    private final b k;
    private final a l;
    private final u m;
    private final ExecutorService n;
    private final boolean o;
    private final boolean p;
    private final boolean q;
    private final boolean r;
    private final boolean s;
    private final boolean t;
    private final int u;
    private final i v;

    /* renamed from: a  reason: collision with root package name */
    public static String f349a = "EventBus";
    private static final g c = new g();
    private static final Map<Class<?>, List<Class<?>>> d = new HashMap();

    public static c a() {
        if (b == null) {
            synchronized (c.class) {
                if (b == null) {
                    b = new c();
                }
            }
        }
        return b;
    }

    public c() {
        this(c);
    }

    c(g gVar) {
        this.h = new d(this);
        this.v = gVar.a();
        this.e = new HashMap();
        this.f = new HashMap();
        this.g = new ConcurrentHashMap();
        this.i = gVar.b();
        this.j = this.i != null ? this.i.a(this) : null;
        this.k = new b(this);
        this.l = new a(this);
        this.u = gVar.j != null ? gVar.j.size() : 0;
        this.m = new u(gVar.j, gVar.h, gVar.g);
        this.p = gVar.f353a;
        this.q = gVar.b;
        this.r = gVar.c;
        this.s = gVar.d;
        this.o = gVar.e;
        this.t = gVar.f;
        this.n = gVar.i;
    }

    public void a(Object obj) {
        List<t> a2 = this.m.a(obj.getClass());
        synchronized (this) {
            for (t tVar : a2) {
                a(obj, tVar);
            }
        }
    }

    private void a(Object obj, t tVar) {
        CopyOnWriteArrayList<w> copyOnWriteArrayList;
        Class<?> cls = tVar.c;
        w wVar = new w(obj, tVar);
        CopyOnWriteArrayList<w> copyOnWriteArrayList2 = this.e.get(cls);
        if (copyOnWriteArrayList2 == null) {
            CopyOnWriteArrayList<w> copyOnWriteArrayList3 = new CopyOnWriteArrayList<>();
            this.e.put(cls, copyOnWriteArrayList3);
            copyOnWriteArrayList = copyOnWriteArrayList3;
        } else if (copyOnWriteArrayList2.contains(wVar)) {
            throw new EventBusException("Subscriber " + obj.getClass() + " already registered to event " + cls);
        } else {
            copyOnWriteArrayList = copyOnWriteArrayList2;
        }
        int size = copyOnWriteArrayList.size();
        for (int i = 0; i <= size; i++) {
            if (i == size || tVar.d > copyOnWriteArrayList.get(i).b.d) {
                copyOnWriteArrayList.add(i, wVar);
                break;
            }
        }
        List<Class<?>> list = this.f.get(obj);
        if (list == null) {
            list = new ArrayList<>();
            this.f.put(obj, list);
        }
        list.add(cls);
        if (tVar.e) {
            if (this.t) {
                for (Map.Entry<Class<?>, Object> entry : this.g.entrySet()) {
                    if (cls.isAssignableFrom(entry.getKey())) {
                        b(wVar, entry.getValue());
                    }
                }
                return;
            }
            b(wVar, this.g.get(cls));
        }
    }

    private void b(w wVar, Object obj) {
        if (obj != null) {
            a(wVar, obj, d());
        }
    }

    private boolean d() {
        if (this.i != null) {
            return this.i.a();
        }
        return true;
    }

    private void a(Object obj, Class<?> cls) {
        int i;
        int i2;
        CopyOnWriteArrayList<w> copyOnWriteArrayList = this.e.get(cls);
        if (copyOnWriteArrayList != null) {
            int size = copyOnWriteArrayList.size();
            int i3 = 0;
            while (i3 < size) {
                w wVar = copyOnWriteArrayList.get(i3);
                if (wVar.f370a == obj) {
                    wVar.c = false;
                    copyOnWriteArrayList.remove(i3);
                    i = i3 - 1;
                    i2 = size - 1;
                } else {
                    i = i3;
                    i2 = size;
                }
                size = i2;
                i3 = i + 1;
            }
        }
    }

    public synchronized void b(Object obj) {
        List<Class<?>> list = this.f.get(obj);
        if (list != null) {
            for (Class<?> cls : list) {
                a(obj, cls);
            }
            this.f.remove(obj);
        } else {
            this.v.a(Level.WARNING, "Subscriber to unregister was not registered before: " + obj.getClass());
        }
    }

    public void c(Object obj) {
        f fVar = this.h.get();
        List<Object> list = fVar.f352a;
        list.add(obj);
        if (!fVar.b) {
            fVar.c = d();
            fVar.b = true;
            if (fVar.f) {
                throw new EventBusException("Internal error. Abort state was not reset");
            }
            while (!list.isEmpty()) {
                try {
                    a(list.remove(0), fVar);
                } finally {
                    fVar.b = false;
                    fVar.c = false;
                }
            }
        }
    }

    private void a(Object obj, f fVar) {
        boolean a2;
        Class<?> cls = obj.getClass();
        if (this.t) {
            List<Class<?>> a3 = a(cls);
            int size = a3.size();
            boolean z = false;
            for (int i = 0; i < size; i++) {
                z |= a(obj, fVar, a3.get(i));
            }
            a2 = z;
        } else {
            a2 = a(obj, fVar, cls);
        }
        if (!a2) {
            if (this.q) {
                this.v.a(Level.FINE, "No subscribers registered for event " + cls);
            }
            if (this.s && cls != n.class && cls != s.class) {
                c(new n(this, obj));
            }
        }
    }

    private boolean a(Object obj, f fVar, Class<?> cls) {
        CopyOnWriteArrayList<w> copyOnWriteArrayList;
        synchronized (this) {
            copyOnWriteArrayList = this.e.get(cls);
        }
        if (copyOnWriteArrayList == null || copyOnWriteArrayList.isEmpty()) {
            return false;
        }
        Iterator<w> it = copyOnWriteArrayList.iterator();
        while (it.hasNext()) {
            w next = it.next();
            fVar.e = obj;
            fVar.d = next;
            try {
                a(next, obj, fVar.c);
                if (fVar.f) {
                    break;
                }
            } finally {
                fVar.e = null;
                fVar.d = null;
                fVar.f = false;
            }
        }
        return true;
    }

    private void a(w wVar, Object obj, boolean z) {
        switch (e.f351a[wVar.b.b.ordinal()]) {
            case 1:
                a(wVar, obj);
                return;
            case 2:
                if (z) {
                    a(wVar, obj);
                    return;
                } else {
                    this.j.a(wVar, obj);
                    return;
                }
            case 3:
                if (this.j != null) {
                    this.j.a(wVar, obj);
                    return;
                } else {
                    a(wVar, obj);
                    return;
                }
            case 4:
                if (z) {
                    this.k.a(wVar, obj);
                    return;
                } else {
                    a(wVar, obj);
                    return;
                }
            case 5:
                this.l.a(wVar, obj);
                return;
            default:
                throw new IllegalStateException("Unknown thread mode: " + wVar.b.b);
        }
    }

    private static List<Class<?>> a(Class<?> cls) {
        List<Class<?>> list;
        synchronized (d) {
            list = d.get(cls);
            if (list == null) {
                list = new ArrayList<>();
                for (Class<?> cls2 = cls; cls2 != null; cls2 = cls2.getSuperclass()) {
                    list.add(cls2);
                    a(list, cls2.getInterfaces());
                }
                d.put(cls, list);
            }
        }
        return list;
    }

    static void a(List<Class<?>> list, Class<?>[] clsArr) {
        for (Class<?> cls : clsArr) {
            if (!list.contains(cls)) {
                list.add(cls);
                a(list, cls.getInterfaces());
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void a(o oVar) {
        Object obj = oVar.f358a;
        w wVar = oVar.b;
        o.a(oVar);
        if (wVar.c) {
            a(wVar, obj);
        }
    }

    void a(w wVar, Object obj) {
        try {
            wVar.b.f361a.invoke(wVar.f370a, obj);
        } catch (IllegalAccessException e) {
            throw new IllegalStateException("Unexpected exception", e);
        } catch (InvocationTargetException e2) {
            a(wVar, obj, e2.getCause());
        }
    }

    private void a(w wVar, Object obj, Throwable th) {
        if (obj instanceof s) {
            if (this.p) {
                this.v.a(Level.SEVERE, "SubscriberExceptionEvent subscriber " + wVar.f370a.getClass() + " threw an exception", th);
                s sVar = (s) obj;
                this.v.a(Level.SEVERE, "Initial event " + sVar.c + " caused exception in " + sVar.d, sVar.b);
            }
        } else if (this.o) {
            throw new EventBusException("Invoking subscriber failed", th);
        } else {
            if (this.p) {
                this.v.a(Level.SEVERE, "Could not dispatch event: " + obj.getClass() + " to subscribing class " + wVar.f370a.getClass(), th);
            }
            if (this.r) {
                c(new s(this, th, obj, wVar.f370a));
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public ExecutorService b() {
        return this.n;
    }

    public i c() {
        return this.v;
    }

    public String toString() {
        return "EventBus[indexCount=" + this.u + ", eventInheritance=" + this.t + "]";
    }
}
