package retrofit2;

import java.lang.annotation.Annotation;
import java.lang.reflect.Method;
import java.lang.reflect.Proxy;
import java.lang.reflect.Type;
import java.util.Collections;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.Executor;
import javax.annotation.Nullable;
/* loaded from: classes.dex */
public final class aw {

    /* renamed from: a  reason: collision with root package name */
    final okhttp3.h f393a;
    final okhttp3.ai b;
    final List<l> c;
    final List<i> d;
    @Nullable
    final Executor e;
    final boolean f;
    private final Map<Method, az<?, ?>> g = new ConcurrentHashMap();

    /* JADX INFO: Access modifiers changed from: package-private */
    public aw(okhttp3.h hVar, okhttp3.ai aiVar, List<l> list, List<i> list2, @Nullable Executor executor, boolean z) {
        this.f393a = hVar;
        this.b = aiVar;
        this.c = Collections.unmodifiableList(list);
        this.d = Collections.unmodifiableList(list2);
        this.e = executor;
        this.f = z;
    }

    public <T> T a(Class<T> cls) {
        bb.a((Class) cls);
        if (this.f) {
            b(cls);
        }
        return (T) Proxy.newProxyInstance(cls.getClassLoader(), new Class[]{cls}, new ax(this, cls));
    }

    private void b(Class<?> cls) {
        Method[] declaredMethods;
        ap a2 = ap.a();
        for (Method method : cls.getDeclaredMethods()) {
            if (!a2.a(method)) {
                a(method);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public az<?, ?> a(Method method) {
        az azVar = this.g.get(method);
        if (azVar == null) {
            synchronized (this.g) {
                azVar = this.g.get(method);
                if (azVar == null) {
                    azVar = new ba(this, method).a();
                    this.g.put(method, azVar);
                }
            }
        }
        return azVar;
    }

    public okhttp3.h a() {
        return this.f393a;
    }

    public okhttp3.ai b() {
        return this.b;
    }

    public h<?, ?> a(Type type, Annotation[] annotationArr) {
        return a((i) null, type, annotationArr);
    }

    public h<?, ?> a(@Nullable i iVar, Type type, Annotation[] annotationArr) {
        bb.a(type, "returnType == null");
        bb.a(annotationArr, "annotations == null");
        int indexOf = this.d.indexOf(iVar) + 1;
        int size = this.d.size();
        for (int i = indexOf; i < size; i++) {
            h<?, ?> a2 = this.d.get(i).a(type, annotationArr, this);
            if (a2 != null) {
                return a2;
            }
        }
        StringBuilder append = new StringBuilder("Could not locate call adapter for ").append(type).append(".\n");
        if (iVar != null) {
            append.append("  Skipped:");
            for (int i2 = 0; i2 < indexOf; i2++) {
                append.append("\n   * ").append(this.d.get(i2).getClass().getName());
            }
            append.append('\n');
        }
        append.append("  Tried:");
        int size2 = this.d.size();
        while (indexOf < size2) {
            append.append("\n   * ").append(this.d.get(indexOf).getClass().getName());
            indexOf++;
        }
        throw new IllegalArgumentException(append.toString());
    }

    public <T> k<T, okhttp3.az> a(Type type, Annotation[] annotationArr, Annotation[] annotationArr2) {
        return a(null, type, annotationArr, annotationArr2);
    }

    public <T> k<T, okhttp3.az> a(@Nullable l lVar, Type type, Annotation[] annotationArr, Annotation[] annotationArr2) {
        bb.a(type, "type == null");
        bb.a(annotationArr, "parameterAnnotations == null");
        bb.a(annotationArr2, "methodAnnotations == null");
        int indexOf = this.c.indexOf(lVar) + 1;
        int size = this.c.size();
        for (int i = indexOf; i < size; i++) {
            k<T, okhttp3.az> kVar = (k<T, okhttp3.az>) this.c.get(i).a(type, annotationArr, annotationArr2, this);
            if (kVar != null) {
                return kVar;
            }
        }
        StringBuilder append = new StringBuilder("Could not locate RequestBody converter for ").append(type).append(".\n");
        if (lVar != null) {
            append.append("  Skipped:");
            for (int i2 = 0; i2 < indexOf; i2++) {
                append.append("\n   * ").append(this.c.get(i2).getClass().getName());
            }
            append.append('\n');
        }
        append.append("  Tried:");
        int size2 = this.c.size();
        while (indexOf < size2) {
            append.append("\n   * ").append(this.c.get(indexOf).getClass().getName());
            indexOf++;
        }
        throw new IllegalArgumentException(append.toString());
    }

    public <T> k<okhttp3.be, T> b(Type type, Annotation[] annotationArr) {
        return a((l) null, type, annotationArr);
    }

    public <T> k<okhttp3.be, T> a(@Nullable l lVar, Type type, Annotation[] annotationArr) {
        bb.a(type, "type == null");
        bb.a(annotationArr, "annotations == null");
        int indexOf = this.c.indexOf(lVar) + 1;
        int size = this.c.size();
        for (int i = indexOf; i < size; i++) {
            k<okhttp3.be, T> kVar = (k<okhttp3.be, T>) this.c.get(i).a(type, annotationArr, this);
            if (kVar != null) {
                return kVar;
            }
        }
        StringBuilder append = new StringBuilder("Could not locate ResponseBody converter for ").append(type).append(".\n");
        if (lVar != null) {
            append.append("  Skipped:");
            for (int i2 = 0; i2 < indexOf; i2++) {
                append.append("\n   * ").append(this.c.get(i2).getClass().getName());
            }
            append.append('\n');
        }
        append.append("  Tried:");
        int size2 = this.c.size();
        while (indexOf < size2) {
            append.append("\n   * ").append(this.c.get(indexOf).getClass().getName());
            indexOf++;
        }
        throw new IllegalArgumentException(append.toString());
    }

    public <T> k<T, String> c(Type type, Annotation[] annotationArr) {
        bb.a(type, "type == null");
        bb.a(annotationArr, "annotations == null");
        int size = this.c.size();
        for (int i = 0; i < size; i++) {
            k<T, String> kVar = (k<T, String>) this.c.get(i).b(type, annotationArr, this);
            if (kVar != null) {
                return kVar;
            }
        }
        return e.f405a;
    }
}
