package retrofit2;

import java.lang.annotation.Annotation;
import java.lang.reflect.Method;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.net.URI;
import java.util.Map;
import java.util.Set;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes.dex */
public final class ba<T, R> {

    /* renamed from: a  reason: collision with root package name */
    final aw f398a;
    final Method b;
    final Annotation[] c;
    final Annotation[][] d;
    final Type[] e;
    Type f;
    boolean g;
    boolean h;
    boolean i;
    boolean j;
    boolean k;
    boolean l;
    String m;
    boolean n;
    boolean o;
    boolean p;
    String q;
    okhttp3.ag r;
    okhttp3.an s;
    Set<String> t;
    z<?>[] u;
    k<okhttp3.be, T> v;
    h<T, R> w;

    /* JADX INFO: Access modifiers changed from: package-private */
    public ba(aw awVar, Method method) {
        this.f398a = awVar;
        this.b = method;
        this.c = method.getAnnotations();
        this.e = method.getGenericParameterTypes();
        this.d = method.getParameterAnnotations();
    }

    public az a() {
        this.w = b();
        this.f = this.w.a();
        if (this.f == av.class || this.f == okhttp3.bc.class) {
            throw a("'" + bb.a(this.f).getName() + "' is not a valid response body type. Did you mean ResponseBody?", new Object[0]);
        }
        this.v = c();
        for (Annotation annotation : this.c) {
            a(annotation);
        }
        if (this.m == null) {
            throw a("HTTP method annotation is required (e.g., @GET, @POST, etc.).", new Object[0]);
        }
        if (!this.n) {
            if (this.p) {
                throw a("Multipart can only be specified on HTTP methods with request body (e.g., @POST).", new Object[0]);
            }
            if (this.o) {
                throw a("FormUrlEncoded can only be specified on HTTP methods with request body (e.g., @POST).", new Object[0]);
            }
        }
        int length = this.d.length;
        this.u = new z[length];
        for (int i = 0; i < length; i++) {
            Type type = this.e[i];
            if (bb.d(type)) {
                throw a(i, "Parameter type must not include a type variable or wildcard: %s", type);
            }
            Annotation[] annotationArr = this.d[i];
            if (annotationArr == null) {
                throw a(i, "No Retrofit annotation found.", new Object[0]);
            }
            this.u[i] = a(i, type, annotationArr);
        }
        if (this.q == null && !this.l) {
            throw a("Missing either @%s URL or @Url parameter.", this.m);
        }
        if (!this.o && !this.p && !this.n && this.i) {
            throw a("Non-body HTTP method cannot contain @Body.", new Object[0]);
        }
        if (this.o && !this.g) {
            throw a("Form-encoded method must contain at least one @Field.", new Object[0]);
        }
        if (this.p && !this.h) {
            throw a("Multipart method must contain at least one @Part.", new Object[0]);
        }
        return new az(this);
    }

    private h<T, R> b() {
        Type genericReturnType = this.b.getGenericReturnType();
        if (bb.d(genericReturnType)) {
            throw a("Method return type must not include a type variable or wildcard: %s", genericReturnType);
        }
        if (genericReturnType == Void.TYPE) {
            throw a("Service methods cannot return void.", new Object[0]);
        }
        try {
            return (h<T, R>) this.f398a.a(genericReturnType, this.b.getAnnotations());
        } catch (RuntimeException e) {
            throw a(e, "Unable to create call adapter for %s", genericReturnType);
        }
    }

    private void a(Annotation annotation) {
        if (annotation instanceof retrofit2.b.b) {
            a("DELETE", ((retrofit2.b.b) annotation).a(), false);
        } else if (annotation instanceof retrofit2.b.f) {
            a("GET", ((retrofit2.b.f) annotation).a(), false);
        } else if (annotation instanceof retrofit2.b.g) {
            a("HEAD", ((retrofit2.b.g) annotation).a(), false);
            if (!Void.class.equals(this.f)) {
                throw a("HEAD method must use Void as response type.", new Object[0]);
            }
        } else if (annotation instanceof retrofit2.b.n) {
            a("PATCH", ((retrofit2.b.n) annotation).a(), true);
        } else if (annotation instanceof retrofit2.b.o) {
            a("POST", ((retrofit2.b.o) annotation).a(), true);
        } else if (annotation instanceof retrofit2.b.p) {
            a("PUT", ((retrofit2.b.p) annotation).a(), true);
        } else if (annotation instanceof retrofit2.b.m) {
            a("OPTIONS", ((retrofit2.b.m) annotation).a(), false);
        } else if (annotation instanceof retrofit2.b.h) {
            retrofit2.b.h hVar = (retrofit2.b.h) annotation;
            a(hVar.a(), hVar.b(), hVar.c());
        } else if (annotation instanceof retrofit2.b.k) {
            String[] a2 = ((retrofit2.b.k) annotation).a();
            if (a2.length == 0) {
                throw a("@Headers annotation is empty.", new Object[0]);
            }
            this.r = a(a2);
        } else if (annotation instanceof retrofit2.b.l) {
            if (this.o) {
                throw a("Only one encoding annotation is allowed.", new Object[0]);
            }
            this.p = true;
        } else if (annotation instanceof retrofit2.b.e) {
            if (this.p) {
                throw a("Only one encoding annotation is allowed.", new Object[0]);
            }
            this.o = true;
        }
    }

    private void a(String str, String str2, boolean z) {
        if (this.m != null) {
            throw a("Only one HTTP method is allowed. Found: %s and %s.", this.m, str);
        }
        this.m = str;
        this.n = z;
        if (!str2.isEmpty()) {
            int indexOf = str2.indexOf(63);
            if (indexOf != -1 && indexOf < str2.length() - 1) {
                String substring = str2.substring(indexOf + 1);
                if (az.f396a.matcher(substring).find()) {
                    throw a("URL query string \"%s\" must not have replace block. For dynamic query parameters use @Query.", substring);
                }
            }
            this.q = str2;
            this.t = az.a(str2);
        }
    }

    private okhttp3.ag a(String[] strArr) {
        okhttp3.ah ahVar = new okhttp3.ah();
        for (String str : strArr) {
            int indexOf = str.indexOf(58);
            if (indexOf == -1 || indexOf == 0 || indexOf == str.length() - 1) {
                throw a("@Headers value must be in the form \"Name: Value\". Found: \"%s\"", str);
            }
            String substring = str.substring(0, indexOf);
            String trim = str.substring(indexOf + 1).trim();
            if ("Content-Type".equalsIgnoreCase(substring)) {
                okhttp3.an a2 = okhttp3.an.a(trim);
                if (a2 == null) {
                    throw a("Malformed content type: %s", trim);
                }
                this.s = a2;
            } else {
                ahVar.a(substring, trim);
            }
        }
        return ahVar.a();
    }

    private z<?> a(int i, Type type, Annotation[] annotationArr) {
        z<?> zVar = null;
        for (Annotation annotation : annotationArr) {
            z<?> a2 = a(i, type, annotationArr, annotation);
            if (a2 != null) {
                if (zVar != null) {
                    throw a(i, "Multiple Retrofit annotations found, only one allowed.", new Object[0]);
                }
                zVar = a2;
            }
        }
        if (zVar == null) {
            throw a(i, "No Retrofit annotation found.", new Object[0]);
        }
        return zVar;
    }

    private z<?> a(int i, Type type, Annotation[] annotationArr, Annotation annotation) {
        if (annotation instanceof retrofit2.b.x) {
            if (this.l) {
                throw a(i, "Multiple @Url method annotations found.", new Object[0]);
            }
            if (this.j) {
                throw a(i, "@Path parameters may not be used with @Url.", new Object[0]);
            }
            if (this.k) {
                throw a(i, "A @Url parameter must not come after a @Query", new Object[0]);
            }
            if (this.q != null) {
                throw a(i, "@Url cannot be used with @%s URL", this.m);
            }
            this.l = true;
            if (type == okhttp3.ai.class || type == String.class || type == URI.class || ((type instanceof Class) && "android.net.Uri".equals(((Class) type).getName()))) {
                return new ao();
            }
            throw a(i, "@Url must be okhttp3.HttpUrl, String, java.net.URI, or android.net.Uri type.", new Object[0]);
        } else if (annotation instanceof retrofit2.b.s) {
            if (this.k) {
                throw a(i, "A @Path parameter must not come after a @Query.", new Object[0]);
            }
            if (this.l) {
                throw a(i, "@Path parameters may not be used with @Url.", new Object[0]);
            }
            if (this.q == null) {
                throw a(i, "@Path can only be used with relative url on @%s", this.m);
            }
            this.j = true;
            retrofit2.b.s sVar = (retrofit2.b.s) annotation;
            String a2 = sVar.a();
            a(i, a2);
            return new aj(a2, this.f398a.c(type, annotationArr), sVar.b());
        } else if (annotation instanceof retrofit2.b.t) {
            retrofit2.b.t tVar = (retrofit2.b.t) annotation;
            String a3 = tVar.a();
            boolean b = tVar.b();
            Class<?> a4 = bb.a(type);
            this.k = true;
            if (Iterable.class.isAssignableFrom(a4)) {
                if (!(type instanceof ParameterizedType)) {
                    throw a(i, a4.getSimpleName() + " must include generic type (e.g., " + a4.getSimpleName() + "<String>)", new Object[0]);
                }
                return new ak(a3, this.f398a.c(bb.a(0, (ParameterizedType) type), annotationArr), b).a();
            } else if (a4.isArray()) {
                return new ak(a3, this.f398a.c(az.a(a4.getComponentType()), annotationArr), b).b();
            } else {
                return new ak(a3, this.f398a.c(type, annotationArr), b);
            }
        } else if (annotation instanceof retrofit2.b.v) {
            boolean a5 = ((retrofit2.b.v) annotation).a();
            Class<?> a6 = bb.a(type);
            this.k = true;
            if (Iterable.class.isAssignableFrom(a6)) {
                if (!(type instanceof ParameterizedType)) {
                    throw a(i, a6.getSimpleName() + " must include generic type (e.g., " + a6.getSimpleName() + "<String>)", new Object[0]);
                }
                return new am(this.f398a.c(bb.a(0, (ParameterizedType) type), annotationArr), a5).a();
            } else if (a6.isArray()) {
                return new am(this.f398a.c(az.a(a6.getComponentType()), annotationArr), a5).b();
            } else {
                return new am(this.f398a.c(type, annotationArr), a5);
            }
        } else if (annotation instanceof retrofit2.b.u) {
            Class<?> a7 = bb.a(type);
            if (!Map.class.isAssignableFrom(a7)) {
                throw a(i, "@QueryMap parameter type must be Map.", new Object[0]);
            }
            Type b2 = bb.b(type, a7, Map.class);
            if (!(b2 instanceof ParameterizedType)) {
                throw a(i, "Map must include generic types (e.g., Map<String, String>)", new Object[0]);
            }
            ParameterizedType parameterizedType = (ParameterizedType) b2;
            Type a8 = bb.a(0, parameterizedType);
            if (String.class != a8) {
                throw a(i, "@QueryMap keys must be of type String: " + a8, new Object[0]);
            }
            return new al(this.f398a.c(bb.a(1, parameterizedType), annotationArr), ((retrofit2.b.u) annotation).a());
        } else if (annotation instanceof retrofit2.b.i) {
            String a9 = ((retrofit2.b.i) annotation).a();
            Class<?> a10 = bb.a(type);
            if (Iterable.class.isAssignableFrom(a10)) {
                if (!(type instanceof ParameterizedType)) {
                    throw a(i, a10.getSimpleName() + " must include generic type (e.g., " + a10.getSimpleName() + "<String>)", new Object[0]);
                }
                return new af(a9, this.f398a.c(bb.a(0, (ParameterizedType) type), annotationArr)).a();
            } else if (a10.isArray()) {
                return new af(a9, this.f398a.c(az.a(a10.getComponentType()), annotationArr)).b();
            } else {
                return new af(a9, this.f398a.c(type, annotationArr));
            }
        } else if (annotation instanceof retrofit2.b.j) {
            Class<?> a11 = bb.a(type);
            if (!Map.class.isAssignableFrom(a11)) {
                throw a(i, "@HeaderMap parameter type must be Map.", new Object[0]);
            }
            Type b3 = bb.b(type, a11, Map.class);
            if (!(b3 instanceof ParameterizedType)) {
                throw a(i, "Map must include generic types (e.g., Map<String, String>)", new Object[0]);
            }
            ParameterizedType parameterizedType2 = (ParameterizedType) b3;
            Type a12 = bb.a(0, parameterizedType2);
            if (String.class != a12) {
                throw a(i, "@HeaderMap keys must be of type String: " + a12, new Object[0]);
            }
            return new ag(this.f398a.c(bb.a(1, parameterizedType2), annotationArr));
        } else if (annotation instanceof retrofit2.b.c) {
            if (!this.o) {
                throw a(i, "@Field parameters can only be used with form encoding.", new Object[0]);
            }
            retrofit2.b.c cVar = (retrofit2.b.c) annotation;
            String a13 = cVar.a();
            boolean b4 = cVar.b();
            this.g = true;
            Class<?> a14 = bb.a(type);
            if (Iterable.class.isAssignableFrom(a14)) {
                if (!(type instanceof ParameterizedType)) {
                    throw a(i, a14.getSimpleName() + " must include generic type (e.g., " + a14.getSimpleName() + "<String>)", new Object[0]);
                }
                return new ad(a13, this.f398a.c(bb.a(0, (ParameterizedType) type), annotationArr), b4).a();
            } else if (a14.isArray()) {
                return new ad(a13, this.f398a.c(az.a(a14.getComponentType()), annotationArr), b4).b();
            } else {
                return new ad(a13, this.f398a.c(type, annotationArr), b4);
            }
        } else if (annotation instanceof retrofit2.b.d) {
            if (!this.o) {
                throw a(i, "@FieldMap parameters can only be used with form encoding.", new Object[0]);
            }
            Class<?> a15 = bb.a(type);
            if (!Map.class.isAssignableFrom(a15)) {
                throw a(i, "@FieldMap parameter type must be Map.", new Object[0]);
            }
            Type b5 = bb.b(type, a15, Map.class);
            if (!(b5 instanceof ParameterizedType)) {
                throw a(i, "Map must include generic types (e.g., Map<String, String>)", new Object[0]);
            }
            ParameterizedType parameterizedType3 = (ParameterizedType) b5;
            Type a16 = bb.a(0, parameterizedType3);
            if (String.class != a16) {
                throw a(i, "@FieldMap keys must be of type String: " + a16, new Object[0]);
            }
            k<T, String> c = this.f398a.c(bb.a(1, parameterizedType3), annotationArr);
            this.g = true;
            return new ae(c, ((retrofit2.b.d) annotation).a());
        } else if (annotation instanceof retrofit2.b.q) {
            if (!this.p) {
                throw a(i, "@Part parameters can only be used with multipart encoding.", new Object[0]);
            }
            retrofit2.b.q qVar = (retrofit2.b.q) annotation;
            this.h = true;
            String a17 = qVar.a();
            Class<?> a18 = bb.a(type);
            if (a17.isEmpty()) {
                if (Iterable.class.isAssignableFrom(a18)) {
                    if (!(type instanceof ParameterizedType)) {
                        throw a(i, a18.getSimpleName() + " must include generic type (e.g., " + a18.getSimpleName() + "<String>)", new Object[0]);
                    }
                    if (!okhttp3.aq.class.isAssignableFrom(bb.a(bb.a(0, (ParameterizedType) type)))) {
                        throw a(i, "@Part annotation must supply a name or use MultipartBody.Part parameter type.", new Object[0]);
                    }
                    return an.f387a.a();
                } else if (a18.isArray()) {
                    if (!okhttp3.aq.class.isAssignableFrom(a18.getComponentType())) {
                        throw a(i, "@Part annotation must supply a name or use MultipartBody.Part parameter type.", new Object[0]);
                    }
                    return an.f387a.b();
                } else if (okhttp3.aq.class.isAssignableFrom(a18)) {
                    return an.f387a;
                } else {
                    throw a(i, "@Part annotation must supply a name or use MultipartBody.Part parameter type.", new Object[0]);
                }
            }
            okhttp3.ag a19 = okhttp3.ag.a("Content-Disposition", "form-data; name=\"" + a17 + "\"", "Content-Transfer-Encoding", qVar.b());
            if (Iterable.class.isAssignableFrom(a18)) {
                if (!(type instanceof ParameterizedType)) {
                    throw a(i, a18.getSimpleName() + " must include generic type (e.g., " + a18.getSimpleName() + "<String>)", new Object[0]);
                }
                Type a20 = bb.a(0, (ParameterizedType) type);
                if (okhttp3.aq.class.isAssignableFrom(bb.a(a20))) {
                    throw a(i, "@Part parameters using the MultipartBody.Part must not include a part name in the annotation.", new Object[0]);
                }
                return new ah(a19, this.f398a.a(a20, annotationArr, this.c)).a();
            } else if (a18.isArray()) {
                Class<?> a21 = az.a(a18.getComponentType());
                if (okhttp3.aq.class.isAssignableFrom(a21)) {
                    throw a(i, "@Part parameters using the MultipartBody.Part must not include a part name in the annotation.", new Object[0]);
                }
                return new ah(a19, this.f398a.a(a21, annotationArr, this.c)).b();
            } else if (okhttp3.aq.class.isAssignableFrom(a18)) {
                throw a(i, "@Part parameters using the MultipartBody.Part must not include a part name in the annotation.", new Object[0]);
            } else {
                return new ah(a19, this.f398a.a(type, annotationArr, this.c));
            }
        } else if (annotation instanceof retrofit2.b.r) {
            if (!this.p) {
                throw a(i, "@PartMap parameters can only be used with multipart encoding.", new Object[0]);
            }
            this.h = true;
            Class<?> a22 = bb.a(type);
            if (!Map.class.isAssignableFrom(a22)) {
                throw a(i, "@PartMap parameter type must be Map.", new Object[0]);
            }
            Type b6 = bb.b(type, a22, Map.class);
            if (!(b6 instanceof ParameterizedType)) {
                throw a(i, "Map must include generic types (e.g., Map<String, String>)", new Object[0]);
            }
            ParameterizedType parameterizedType4 = (ParameterizedType) b6;
            Type a23 = bb.a(0, parameterizedType4);
            if (String.class != a23) {
                throw a(i, "@PartMap keys must be of type String: " + a23, new Object[0]);
            }
            Type a24 = bb.a(1, parameterizedType4);
            if (okhttp3.aq.class.isAssignableFrom(bb.a(a24))) {
                throw a(i, "@PartMap values cannot be MultipartBody.Part. Use @Part List<Part> or a different value type instead.", new Object[0]);
            }
            return new ai(this.f398a.a(a24, annotationArr, this.c), ((retrofit2.b.r) annotation).a());
        } else if (annotation instanceof retrofit2.b.a) {
            if (this.o || this.p) {
                throw a(i, "@Body parameters cannot be used with form or multi-part encoding.", new Object[0]);
            }
            if (this.i) {
                throw a(i, "Multiple @Body method annotations found.", new Object[0]);
            }
            try {
                k<T, okhttp3.az> a25 = this.f398a.a(type, annotationArr, this.c);
                this.i = true;
                return new ac(a25);
            } catch (RuntimeException e) {
                throw a(e, i, "Unable to create @Body converter for %s", type);
            }
        } else {
            return null;
        }
    }

    private void a(int i, String str) {
        if (!az.b.matcher(str).matches()) {
            throw a(i, "@Path parameter name must match %s. Found: %s", az.f396a.pattern(), str);
        }
        if (!this.t.contains(str)) {
            throw a(i, "URL \"%s\" does not contain \"{%s}\".", this.q, str);
        }
    }

    private k<okhttp3.be, T> c() {
        try {
            return this.f398a.b(this.f, this.b.getAnnotations());
        } catch (RuntimeException e) {
            throw a(e, "Unable to create converter for %s", this.f);
        }
    }

    private RuntimeException a(String str, Object... objArr) {
        return a((Throwable) null, str, objArr);
    }

    private RuntimeException a(Throwable th, String str, Object... objArr) {
        return new IllegalArgumentException(String.format(str, objArr) + "\n    for method " + this.b.getDeclaringClass().getSimpleName() + "." + this.b.getName(), th);
    }

    private RuntimeException a(Throwable th, int i, String str, Object... objArr) {
        return a(th, str + " (parameter #" + (i + 1) + ")", objArr);
    }

    private RuntimeException a(int i, String str, Object... objArr) {
        return a(str + " (parameter #" + (i + 1) + ")", objArr);
    }
}
